import React from 'react';
import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';

var Container = styled.div.withConfig({
  displayName: 'Avatar__Container',
  componentId: 'sc-1ug6kto-0'
})(['align-items:center;background-color:', ';box-shadow:inset 0 0 0 1px rgba(0,0,0,.05);border-radius:50%;color:white;display:inline-flex;font-family:', ';flex-shrink:0;justify-content:center;font-weight:500;font-size:', ';text-transform:uppercase;position:relative;width:', ';height:', ';user-select:none;vertical-align:middle;', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.BLUE_500, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_600, theme.SPACING_600, function (props) {
  return props.size1 && css(['width:', ';height:', ';'], theme.SPACING_400, theme.SPACING_400);
}, function (props) {
  return props.size2 && css(['width:', ';height:', ';'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size3 && css(['width:', ';height:', ';'], theme.SPACING_600, theme.SPACING_600);
}, function (props) {
  return props.size4 && css(['width:', ';height:', ';'], theme.SPACING_700, theme.SPACING_700);
}, function (props) {
  return props.size5 && css(['width:', ';height:', ';'], theme.SPACING_800, theme.SPACING_800);
}, function (props) {
  return props.size6 && css(['width:', ';height:', ';'], theme.SPACING_900, theme.SPACING_900);
}, function (props) {
  return props.color && css(['&::before{position:absolute;border-radius:50%;top:-2px;left:-2px;content:"";width:calc(100% + 4px);height:calc(100% + 4px);box-shadow:0 0 0 2px ', ';}'], theme.GRAY_400);
}, function (props) {
  return props.blue && css(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.BLUE_500);
}, function (props) {
  return props.green && css(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.GREEN_500);
}, function (props) {
  return props.yellow && css(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.YELLOW_500);
}, function (props) {
  return props.red && css(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.RED_500);
}, function (props) {
  return props.inline && css(['margin-left:-4px;box-shadow:inset 0 0 0 1px rgba(0,0,0,.05),0 0 0 2px white;']);
}, Margin);

var Initial = styled.span.withConfig({
  displayName: 'Avatar__Initial',
  componentId: 'sc-1ug6kto-1'
})(['display:block;text-transform:uppercase;']);

var Image = styled.img.withConfig({
  displayName: 'Avatar__Image',
  componentId: 'sc-1ug6kto-2'
})(['position:absolute;top:0;left:0;border-radius:50%;display:block;max-width:100%;']);

var Avatar = function Avatar(props) {
  return React.createElement(
    Container,
    props,
    React.createElement(
      Initial,
      null,
      props.initial
    ),
    React.createElement(Image, {
      src: props.url,
      width: props.size,
      height: props.size,
      alt: props.caption
    })
  );
};

export default Avatar;