import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';

var Badge = styled.span.withConfig({
  displayName: 'Badge',
  componentId: 'aoxxc6-0'
})(['align-items:center;background-color:transparent;border-radius:9999px;display:inline-flex;font-family:', ';font-size:', ';font-weight:500;height:', ';letter-spacing:.134em;padding:0 ', ';text-transform:uppercase;user-select:none;vertical-align:middle;white-space:nowrap;', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_100, theme.SPACING_300, theme.SPACING_200, function (props) {
  return props.size2 && css(['height:', ';font-size:', ';padding:0 ', ';'], theme.SPACING_500, theme.FONTSIZE_200, theme.SPACING_300);
}, function (props) {
  return props.gray && css(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GRAY_400, theme.GRAY_600);
}, function (props) {
  return props.blue && css(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.BLUE_400, theme.BLUE_600);
}, function (props) {
  return props.green && css(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.GREEN_400, theme.GREEN_600);
}, function (props) {
  return props.yellow && css(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.YELLOW_400, theme.YELLOW_600);
}, function (props) {
  return props.red && css(['box-shadow:inset 0 0 0 1px ', ';color:', ';'], theme.RED_500, theme.RED_500);
}, Margin);

Badge.propTypes = {
  color: PropTypes.oneOf(['gray', 'blue', 'green', 'yellow', 'red'])
};

Badge.defaultProps = {
  color: 'gray'
};

export default Badge;