import React from 'react';
import PropTypes from 'prop-types';
import styled, { css, keyframes } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';

var stripesAnimation = keyframes(['100%{transform:translateX(', ');}'], theme.SPACING_800);

var Button = styled.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'Button',
  componentId: 'sc-1u0q8qa-0'
})(['align-items:center;appearance:none;background-color:', ';box-shadow:inset 0 0 0 1px ', ';border:none;border-radius:', ';color:', ';cursor:pointer;display:inline-flex;flex-shrink:0;font-family:', ';font-size:', ';font-weight:500;height:', ';justify-content:center;line-height:1;min-width:', ';outline:none;padding:0 ', ';position:relative;text-align:center;text-decoration:none;user-select:none;vertical-align:middle;white-space:nowrap;&:hover{box-shadow:inset 0 0 0 1px ', ';}&:active{background-color:', ';box-shadow:inset 0 0 0 1px ', ';}', ' ', ' ', ' ', ' ', ' ', ' &:disabled{background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';cursor:not-allowed;}', ' ', ' ', ' ', ' ', ''], theme.GRAY_100, theme.GRAY_400, theme.BORDERRADIUS_100, theme.GRAY_600, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_500, theme.SPACING_500, theme.SPACING_200, theme.GRAY_500, theme.GRAY_200, theme.GRAY_500, function (p) {
  return p.size2 && css(['font-size:', ';height:', ';min-width:', ';padding:0 ', ';'], theme.FONTSIZE_400, theme.SPACING_600, theme.SPACING_600, theme.SPACING_300);
}, function (p) {
  return p.blue && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';&:hover{box-shadow:inset 0 0 0 1px ', ';}&:active{background-color:', ';box-shadow:inset 0 0 0 1px ', ';}'], theme.BLUE_100, theme.BLUE_400, theme.BLUE_600, theme.BLUE_500, theme.BLUE_200, theme.BLUE_500);
}, function (p) {
  return p.green && css(['background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';&:hover{box-shadow:inset 0 0 0 1px ', ';}&:active{background-color:', ';box-shadow:inset 0 0 0 1px ', ';}'], theme.GREEN_100, theme.GREEN_400, theme.GREEN_600, theme.GREEN_500, theme.GREEN_200, theme.GREEN_500);
}, function (p) {
  return p.yellow && css(['color:', ';'], theme.YELLOW_600);
}, function (p) {
  return p.red && css(['color:', ';'], theme.RED_600);
}, function (p) {
  return p.active && css(['background-color:', ';box-shadow:inset 0 1px 1px 0 rgba(0,0,0,.1),inset 0 0 0 1px ', ';color:', ';&:hover,&:active{box-shadow:inset 0 1px 1px 0 rgba(0,0,0,.1),inset 0 0 0 1px ', ';}&:active{background-color:', ';}'], theme.GRAY_200, theme.GRAY_400, theme.GRAY_600, theme.GRAY_500, theme.GRAY_300);
}, theme.GRAY_200, theme.GRAY_300, theme.GRAY_500, function (p) {
  return p.waiting && css(['background-color:', ';box-shadow:inset 0 1px 1px 0 rgba(0,0,0,.1),inset 0 0 0 1px ', ';overflow:hidden;color:transparent;pointer-events:none;&::before{position:absolute;content:\'\';top:0;left:-100%;width:200%;height:100%;background-image:linear-gradient( -45deg,transparent 33%,rgba(0,0,0,.05) 33%,rgba(0,0,0,.05) 66%,transparent 66% );background-size:', ' ', ';animation:', ' 500ms linear infinite;}'], theme.GRAY_200, theme.GRAY_400, theme.SPACING_800, theme.SPACING_600, stripesAnimation);
}, function (p) {
  return p.left && css(['border-radius:', ' 0 0 ', ';z-index:2;&:hover,&:active{z-index:3;}'], theme.BORDERRADIUS_100, theme.BORDERRADIUS_100);
}, function (p) {
  return p.middle && css(['border-radius:0;margin-left:-1px;z-index:1;&:hover,&:active{z-index:3;}']);
}, function (p) {
  return p.right && css(['border-radius:0 ', ' ', ' 0;margin-left:-1px;z-index:0;&:hover,&:active{z-index:3;}'], theme.BORDERRADIUS_100, theme.BORDERRADIUS_100);
}, Margin);

Button.propTypes = {
  mode: PropTypes.oneOf(['size1', 'size2'])
};

Button.defaultProps = {
  size: 'size2'
};

export default Button;