import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';
import Padding from './../utilities/Padding';
import BackgroundColor from './../utilities/BackgroundColor';

var Card = styled.div.withConfig({
  displayName: 'Card',
  componentId: 'jzi85p-0'
})(['position:relative;', ' ', ' ', ' ', ' ', ''], function (props) {
  return props.border && css(['&::after{content:"";position:absolute;top:0;left:0;width:100%;height:100%;box-shadow:inset 0 0 0 1px ', ';border-radius:', ';pointer-events:none;}'], theme.GRAY_400, theme.BORDERRADIUS_200);
}, function (props) {
  return props.perspective && css(['&::before{content:"";position:absolute;top:0;left:0;width:100%;height:100%;box-shadow:0 10px 38px -10px hsla(208,24%,7%,.35),0 10px 20px -15px hsla(208,24%,7%,.2);border-radius:', ';pointer-events:none;}'], theme.BORDERRADIUS_200);
}, BackgroundColor, Padding, Margin);

export default Card;