import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Card from './Card';

var CardLink = styled(Card).withConfig({
  displayName: 'CardLink',
  componentId: 'sc-1la25sc-0'
})(['appearance:none;border:none;display:block;text-decoration:none;color:inherit;outline:none;text-align:left;user-select:none;line-height:1;transition:opacity 80ms linear,transform 150ms ease;&::before,&::after{transition-property:all;transition-duration:80ms;transition-timing-function:linear;}', ' ', ' ', ''], function (props) {
  return props.border && css(['&:hover{&::after{box-shadow:inset 0 0 0 1px ', ';}}&:focus{&::after{box-shadow:inset 0 0 0 1px ', ';}}', ''], theme.GRAY_500, theme.BLUE_500, function (props) {
    return props.selected && css(['&::after{box-shadow:inset 0 0 0 2px ', ';}&:hover,&:focus{&::after{box-shadow:inset 0 0 0 2px ', ';}}'], theme.BLUE_500, theme.BLUE_500);
  });
}, function (props) {
  return props.perspective && css(['&:hover,&:focus{transform:translateY(-2px);}&:focus{&::after{content:"";position:absolute;top:0;left:0;width:100%;height:100%;box-shadow:0 0 0 1px ', ' inset;border-radius:', ';}}&:active{background-color:', ';transform:translateY(0);}'], theme.BLUE_500, theme.BORDERRADIUS_200, theme.GRAY_100);
}, function (props) {
  return props.ghost && css(['&::before{content:"";position:absolute;top:0;left:0;width:100%;height:100%;opacity:0;box-shadow:0 10px 38px -10px hsla(208,24%,7%,.35),0 10px 20px -15px hsla(208,24%,7%,.2);border-radius:', ';}&:hover,&:focus{transform:translateY(-2px);&::before{opacity:1;}}&:focus{&::after{content:"";position:absolute;top:0;left:0;width:100%;height:100%;box-shadow:inset 0 0 0 1px ', ';border-radius:', ';}}&:active{transform:translateY(0);background-color:', ';}'], theme.BORDERRADIUS_200, theme.BLUE_500, theme.BORDERRADIUS_200, theme.GRAY_100);
});

export default CardLink;