var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import styled from 'styled-components';
import * as theme from './../theme/';

var Wrapper = styled.label.withConfig({
  displayName: 'Checkbox__Wrapper',
  componentId: 'sc-1019nx1-0'
})(['position:relative;width:', ';height:', ';vertical-align:middle;cursor:pointer;'], theme.SPACING_300, theme.SPACING_300);

var Input = styled.input.withConfig({
  displayName: 'Checkbox__Input',
  componentId: 'sc-1019nx1-1'
})(['position:absolute;opacity:0;z-index:-1;& + div{color:transparent;}&:focus + div{box-shadow:inset 0 0 0 1px ', ';}&:checked + div{background-color:', ';color:white;box-shadow:inset 0 0 0 1px ', ';}'], theme.BLUE_500, theme.BLUE_500, theme.BLUE_500);

var Dummy = styled.div.withConfig({
  displayName: 'Checkbox__Dummy',
  componentId: 'sc-1019nx1-2'
})(['position:absolute;top:0;left:0;width:100%;height:100%;display:inline-flex;border-radius:', ';align-items:center;justify-content:center;box-shadow:inset 0 0 0 1px ', ';&:hover{box-shadow:inset 0 0 0 1px ', ';}&:focus{box-shadow:inset 0 0 0 1px ', ';}'], theme.BORDERRADIUS_100, theme.GRAY_400, theme.GRAY_500, theme.BLUE_500);

var Checkbox = function Checkbox(props) {
  return React.createElement(
    Wrapper,
    null,
    React.createElement(Input, _extends({}, props, {
      type: 'checkbox',
      name: props.group
    })),
    React.createElement(
      Dummy,
      props,
      React.createElement(
        'svg',
        {
          width: '15',
          height: '15',
          viewBox: '0 0 15 15',
          fill: 'none',
          xmlns: 'http://www.w3.org/2000/svg',
          stroke: 'currentColor'
        },
        React.createElement('path', { d: 'M11.5 3.5L6.5 11.5L3.5 8.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
      )
    )
  );
};

export default Checkbox;