var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Wrapper = styled.label.withConfig({
  displayName: 'CheckboxButton__Wrapper',
  componentId: 'v2dwx7-0'
})(['display:block;position:relative;vertical-align:middle;height:', ';width:', ';'], theme.SPACING_300, theme.SPACING_300);

var Checkbox = styled.input.withConfig({
  displayName: 'CheckboxButton__Checkbox',
  componentId: 'v2dwx7-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{color:', ';}'], theme.BLUE_500);

var Dummy = styled.div.withConfig({
  displayName: 'CheckboxButton__Dummy',
  componentId: 'v2dwx7-2'
})(['position:absolute;cursor:pointer;top:0;left:0;width:100%;height:100%;align-items:center;display:inline-flex;line-height:1;color:', ';cursor:pointer;flex-shrink:0;justify-content:center;'], theme.GRAY_600);

var CheckboxButton = function CheckboxButton(props) {
  var children = props.children,
      group = props.group,
      nonChildrenProps = _objectWithoutProperties(props, ['children', 'group']);

  return React.createElement(
    Wrapper,
    nonChildrenProps,
    React.createElement(Checkbox, _extends({
      type: 'checkbox',
      name: group
    }, nonChildrenProps)),
    React.createElement(
      Dummy,
      nonChildrenProps,
      children
    )
  );
};

export default CheckboxButton;