function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/* Libraries */
import React, { useContext } from 'react';
import PropTypes from 'prop-types';
/* Store */
import { DialogContext, Actions as DialogActions } from './DialogProvider';

var Dialog = function Dialog(_ref) {
  var children = _ref.children,
      trigger = _ref.trigger,
      dismissable = _ref.dismissable,
      initiallyActive = _ref.active,
      panelProps = _objectWithoutProperties(_ref, ['children', 'trigger', 'dismissable', 'active']);

  var _useContext = useContext(DialogContext),
      dispatch = _useContext.dispatch;

  var openDialog = function openDialog() {
    return dispatch({
      type: DialogActions.OPEN,
      dialog: { children: children, dismissable: dismissable, panelProps: panelProps }
    });
  };

  if (initiallyActive) {
    openDialog();
  }

  return React.createElement(
    'span',
    { onClick: openDialog },
    trigger
  );
};

Dialog.propTypes = process.env.NODE_ENV !== "production" ? {
  // Whether or not the dialog can be dismissed without manually calling the provided close() function
  dismissable: PropTypes.bool,
  // Whether or not the dialog is initially rendered as active
  active: PropTypes.bool,
  // The trigger to render that will open this dialog on click
  trigger: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node]).isRequired
} : {};

Dialog.defaultProps = {
  dismissable: true,
  active: false
};

export default Dialog;