var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

/* Libaries */
import React, { createContext, useReducer } from 'react';

/* Component */
var DialogContext = createContext();

var initialState = {
  dialogs: [],
  closing: false
};

var Actions = {
  OPEN: 'OPEN',
  BEGIN_CLOSING: 'BEGIN_CLOSING',
  CLOSE: 'CLOSE'
};

var reducer = function reducer(state, action) {
  switch (action.type) {
    case Actions.OPEN:
      return _extends({}, state, {
        closing: false,
        dialogs: [action.dialog].concat(state.dialogs)
      });
    case Actions.BEGIN_CLOSING:
      return _extends({}, state, {
        closing: true
      });
    case Actions.CLOSE:
      return _extends({}, state, {
        closing: false,
        dialogs: state.dialogs.filter(function (dialog) {
          return dialog !== action.dialog;
        })
      });
    default:
      return state;
  }
};

var DialogProvider = function DialogProvider(_ref) {
  var children = _ref.children;

  var _useReducer = useReducer(reducer, initialState),
      state = _useReducer[0],
      dispatch = _useReducer[1];

  return React.createElement(
    DialogContext.Provider,
    { value: { state: state, dispatch: dispatch } },
    children
  );
};

export { DialogProvider, DialogContext, Actions };