import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Box from './Box.js';

var flexboxPropsKeys = ['fd_row', 'fd_column', 'fd_row_reverse', 'fd_column_reverse', 'fw_wrap', 'fd_nowrap', 'ai_baseline', 'ai_center', 'ai_stretch', 'ai_flexstart', 'ai_flexend', 'jc_center', 'jc_spacebetween', 'jc_spacearound', 'jc_flexstart', 'jc_flexend'];
var Flexbox = styled(Box).withConfig({
  displayName: 'Flexbox',
  componentId: 'sc-184bjtk-0'
})(['display:flex;', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (p) {
  return p.fd_row && css([' flex-direction:row;']);
}, function (p) {
  return p.fd_column && css([' flex-direction:column;']);
}, function (p) {
  return p.fd_row_reverse && css([' flex-direction:row-reverse;']);
}, function (p) {
  return p.fd_column_reverse && css([' flex-direction:column-reverse;']);
}, function (p) {
  return p.fw_wrap && css([' flex-wrap:wrap;']);
}, function (p) {
  return p.fw_nowrap && css([' flex-wrap:nowrap;']);
}, function (p) {
  return p.ai_baseline && css([' align-items:baseline;']);
}, function (p) {
  return p.ai_center && css([' align-items:center;']);
}, function (p) {
  return p.ai_stretch && css([' align-items:stretch;']);
}, function (p) {
  return p.ai_flexstart && css([' align-items:flex-start;']);
}, function (p) {
  return p.ai_flexend && css([' align-items:flex-end;']);
}, function (p) {
  return p.jc_center && css([' justify-content:center;']);
}, function (p) {
  return p.jc_spacebetween && css([' justify-content:space-between;']);
}, function (p) {
  return p.jc_spacearound && css([' justify-content:space-around;']);
}, function (p) {
  return p.jc_flexstart && css([' justify-content:flex-start;']);
}, function (p) {
  return p.jc_flexend && css([' justify-content:flex-end;']);
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, function (p) {
    return p.bp1_fd_row && css([' flex-direction:row;']);
  }, function (p) {
    return p.bp1_fd_column && css([' flex-direction:column;']);
  }, function (p) {
    return p.bp1_fd_row_reverse && css([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp1_fd_column_reverse && css([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp1_fw_wrap && css([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp1_fw_nowrap && css([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp1_ai_baseline && css([' align-items:baseline;']);
  }, function (p) {
    return p.bp1_ai_center && css([' align-items:center;']);
  }, function (p) {
    return p.bp1_ai_stretch && css([' align-items:stretch;']);
  }, function (p) {
    return p.bp1_ai_flexstart && css([' align-items:flex-start;']);
  }, function (p) {
    return p.bp1_ai_flexend && css([' align-items:flex-end;']);
  }, function (p) {
    return p.bp1_jc_center && css([' justify-content:center;']);
  }, function (p) {
    return p.bp1_jc_spacebetween && css([' justify-content:space-between;']);
  }, function (p) {
    return p.bp1_jc_spacearound && css([' justify-content:space-around;']);
  }, function (p) {
    return p.bp1_jc_flexstart && css([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp1_jc_flexend && css([' justify-content:flex-end;']);
  });
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, function (p) {
    return p.bp2_fd_row && css([' flex-direction:row;']);
  }, function (p) {
    return p.bp2_fd_column && css([' flex-direction:column;']);
  }, function (p) {
    return p.bp2_fd_row_reverse && css([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp2_fd_column_reverse && css([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp2_fw_wrap && css([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp2_fw_nowrap && css([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp2_ai_baseline && css([' align-items:baseline;']);
  }, function (p) {
    return p.bp2_ai_center && css([' align-items:center;']);
  }, function (p) {
    return p.bp2_ai_stretch && css([' align-items:stretch;']);
  }, function (p) {
    return p.bp2_ai_flexstart && css([' align-items:flex-start;']);
  }, function (p) {
    return p.bp2_ai_flexend && css([' align-items:flex-end;']);
  }, function (p) {
    return p.bp2_jc_center && css([' justify-content:center;']);
  }, function (p) {
    return p.bp2_jc_spacebetween && css([' justify-content:space-between;']);
  }, function (p) {
    return p.bp2_jc_spacearound && css([' justify-content:space-around;']);
  }, function (p) {
    return p.bp2_jc_flexstart && css([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp2_jc_flexend && css([' justify-content:flex-end;']);
  });
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, function (p) {
    return p.bp3_fd_row && css([' flex-direction:row;']);
  }, function (p) {
    return p.bp3_fd_column && css([' flex-direction:column;']);
  }, function (p) {
    return p.bp3_fd_row_reverse && css([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp3_fd_column_reverse && css([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp3_fw_wrap && css([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp3_fw_nowrap && css([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp3_ai_baseline && css([' align-items:baseline;']);
  }, function (p) {
    return p.bp3_ai_center && css([' align-items:center;']);
  }, function (p) {
    return p.bp3_ai_stretch && css([' align-items:stretch;']);
  }, function (p) {
    return p.bp3_ai_flexstart && css([' align-items:flex-start;']);
  }, function (p) {
    return p.bp3_ai_flexend && css([' align-items:flex-end;']);
  }, function (p) {
    return p.bp3_jc_center && css([' justify-content:center;']);
  }, function (p) {
    return p.bp3_jc_spacebetween && css([' justify-content:space-between;']);
  }, function (p) {
    return p.bp3_jc_spacearound && css([' justify-content:space-around;']);
  }, function (p) {
    return p.bp3_jc_flexstart && css([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp3_jc_flexend && css([' justify-content:flex-end;']);
  });
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, function (p) {
    return p.bp4_fd_row && css([' flex-direction:row;']);
  }, function (p) {
    return p.bp4_fd_column && css([' flex-direction:column;']);
  }, function (p) {
    return p.bp4_fd_row_reverse && css([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp4_fd_column_reverse && css([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp4_fw_wrap && css([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp4_fw_nowrap && css([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp4_ai_baseline && css([' align-items:baseline;']);
  }, function (p) {
    return p.bp4_ai_center && css([' align-items:center;']);
  }, function (p) {
    return p.bp4_ai_stretch && css([' align-items:stretch;']);
  }, function (p) {
    return p.bp4_ai_flexstart && css([' align-items:flex-start;']);
  }, function (p) {
    return p.bp4_ai_flexend && css([' align-items:flex-end;']);
  }, function (p) {
    return p.bp4_jc_center && css([' justify-content:center;']);
  }, function (p) {
    return p.bp4_jc_spacebetween && css([' justify-content:space-between;']);
  }, function (p) {
    return p.bp4_jc_spacearound && css([' justify-content:space-around;']);
  }, function (p) {
    return p.bp4_jc_flexstart && css([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp4_jc_flexend && css([' justify-content:flex-end;']);
  });
});

export default Flexbox;