import React from 'react';
import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Color from './../utilities/Color';
import Margin from './../utilities/Margin';

var GhostButton = styled.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'GhostButton',
  componentId: 'sc-1w6q15b-0'
})(['align-items:center;appearance:none;background-color:transparent;border:none;border-radius:50%;color:', ';cursor:pointer;display:inline-flex;flex-shrink:0;font-family:', ';font-size:', ';font-weight:500;height:', ';justify-content:center;line-height:1;min-width:', ';outline:none;padding:0;position:relative;text-align:center;text-decoration:none;user-select:none;vertical-align:middle;white-space:nowrap;&:hover{background-color:', ';}&:focus{box-shadow:inset 0 0 0 1px ', ';}&:active{background-color:', ';box-shadow:none;}&:disabled{color:', ';cursor:not-allowed;pointer-events:none;}', ' ', ' ', ' ', ' ', ''], theme.GRAY_600, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_500, theme.SPACING_500, theme.GRAY_200, theme.BLUE_500, theme.GRAY_300, theme.GRAY_500, function (p) {
  return p.active && css(['background-color:', ';box-shadow:inset 0 1px 0 0 ', ';&:hover{background-color:', ';}&:active{box-shadow:inset 0 1px 0 0 ', ';}'], theme.GRAY_300, theme.GRAY_500, theme.GRAY_300, theme.GRAY_500);
}, function (p) {
  return p.padded && css(['border-radius:9999px;padding:0 ', ';'], theme.SPACING_200);
}, function (p) {
  return p.size2 && css(['font-size:', ';height:', ';min-width:', ';'], theme.FONTSIZE_400, theme.SPACING_600, theme.SPACING_600);
}, Color, Margin);

GhostButton.propTypes = {
  mode: PropTypes.oneOf(['size1', 'size2'])
};

GhostButton.defaultProps = {
  size: 'size2'
};

export default GhostButton;