import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';
var gridPropsKeys = ['size0', 'size1', 'size2', 'size3', 'cells_1', 'cells_2', 'cells_3', 'cells_4', 'cells_5', 'cells_6', 'cells_7', 'cells_8', 'cells_9', 'cells_10', 'cells_11', 'cells_12', 'ai_center', 'ai_end', 'ai_start', 'ai_stretch', 'ji_center', 'ji_end', 'ji_start', 'ji_stretch', 'ac_center', 'ac_spacebetween', 'ac_spacearound', 'ac_spaceevenly', 'ac_flexstart', 'ac_flexend', 'jc_center', 'jc_spacebetween', 'jc_spacearound', 'jc_spaceevenly', 'jc_flexstart', 'jc_flexend'];
var Grid = styled.div.withConfig({
  displayName: 'Grid',
  componentId: 'e40gqg-0'
})(['display:grid;', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (p) {
  return p.size0 && css([' grid-gap:0;']);
}, function (p) {
  return p.size1 && css([' grid-gap:', ';'], theme.SPACING_400);
}, function (p) {
  return p.size2 && css([' grid-gap:', ';'], theme.SPACING_700);
}, function (p) {
  return p.size3 && css([' grid-gap:', ';'], theme.SPACING_900);
}, function (p) {
  return p.cells_1 && css([' grid-template-columns:repeat(1,1fr);']);
}, function (p) {
  return p.cells_2 && css([' grid-template-columns:repeat(2,1fr);']);
}, function (p) {
  return p.cells_3 && css([' grid-template-columns:repeat(3,1fr);']);
}, function (p) {
  return p.cells_4 && css([' grid-template-columns:repeat(4,1fr);']);
}, function (p) {
  return p.cells_5 && css([' grid-template-columns:repeat(5,1fr);']);
}, function (p) {
  return p.cells_6 && css([' grid-template-columns:repeat(6,1fr);']);
}, function (p) {
  return p.cells_7 && css([' grid-template-columns:repeat(7,1fr);']);
}, function (p) {
  return p.cells_8 && css([' grid-template-columns:repeat(8,1fr);']);
}, function (p) {
  return p.cells_9 && css([' grid-template-columns:repeat(9,1fr);']);
}, function (p) {
  return p.cells_10 && css([' grid-template-columns:repeat(10,1fr);']);
}, function (p) {
  return p.cells_11 && css([' grid-template-columns:repeat(11,1fr);']);
}, function (p) {
  return p.cells_12 && css([' grid-template-columns:repeat(12,1fr);']);
}, function (p) {
  return p.ai_center && css([' align-items:center ']);
}, function (p) {
  return p.ai_end && css([' align-items:end ']);
}, function (p) {
  return p.ai_start && css([' align-items:start ']);
}, function (p) {
  return p.ai_stretch && css([' align-items:stretch ']);
}, function (p) {
  return p.ji_center && css([' justify-items:center ']);
}, function (p) {
  return p.ji_end && css([' justify-items:end ']);
}, function (p) {
  return p.ji_start && css([' justify-items:start ']);
}, function (p) {
  return p.ji_stretch && css([' justify-items:stretch ']);
}, function (p) {
  return p.ac_center && css([' align-content:center ']);
}, function (p) {
  return p.ac_spacebetween && css([' align-content:space-between ']);
}, function (p) {
  return p.ac_spacearound && css([' align-content:space-around ']);
}, function (p) {
  return p.ac_spaceevenly && css([' align-content:space-evenly ']);
}, function (p) {
  return p.ac_flexstart && css([' align-content:flex-start ']);
}, function (p) {
  return p.ac_flexend && css([' align-content:flex-end ']);
}, function (p) {
  return p.jc_center && css([' justify-content:center ']);
}, function (p) {
  return p.jc_spacebetween && css([' justify-content:space-between ']);
}, function (p) {
  return p.jc_spacearound && css([' justify-content:space-around ']);
}, function (p) {
  return p.jc_spaceevenly && css([' justify-content:space-evenly ']);
}, function (p) {
  return p.jc_flexstart && css([' justify-content:flex-start ']);
}, function (p) {
  return p.jc_flexend && css([' justify-content:flex-end ']);
}, function (p) {
  return gridPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, function (p) {
    return p.bp1_size1 && css([' grid-gap:', ';'], theme.SPACING_400);
  }, function (p) {
    return p.bp1_size2 && css([' grid-gap:', ';'], theme.SPACING_700);
  }, function (p) {
    return p.bp1_size3 && css([' grid-gap:', ';'], theme.SPACING_900);
  }, function (p) {
    return p.bp1_cells_1 && css([' grid-template-columns:repeat(1,1fr);']);
  }, function (p) {
    return p.bp1_cells_2 && css([' grid-template-columns:repeat(2,1fr);']);
  }, function (p) {
    return p.bp1_cells_3 && css([' grid-template-columns:repeat(3,1fr);']);
  }, function (p) {
    return p.bp1_cells_4 && css([' grid-template-columns:repeat(4,1fr);']);
  }, function (p) {
    return p.bp1_cells_5 && css([' grid-template-columns:repeat(5,1fr);']);
  }, function (p) {
    return p.bp1_cells_6 && css([' grid-template-columns:repeat(6,1fr);']);
  }, function (p) {
    return p.bp1_cells_7 && css([' grid-template-columns:repeat(7,1fr);']);
  }, function (p) {
    return p.bp1_cells_8 && css([' grid-template-columns:repeat(8,1fr);']);
  }, function (p) {
    return p.bp1_cells_9 && css([' grid-template-columns:repeat(9,1fr);']);
  }, function (p) {
    return p.bp1_cells_10 && css([' grid-template-columns:repeat(10,1fr);']);
  }, function (p) {
    return p.bp1_cells_11 && css([' grid-template-columns:repeat(11,1fr);']);
  }, function (p) {
    return p.bp1_cells_12 && css([' grid-template-columns:repeat(12,1fr);']);
  }, function (p) {
    return p.bp1_ai_center && css([' align-items:center ']);
  }, function (p) {
    return p.bp1_ai_end && css([' align-items:end ']);
  }, function (p) {
    return p.bp1_ai_start && css([' align-items:start ']);
  }, function (p) {
    return p.bp1_ai_stretch && css([' align-items:stretch ']);
  }, function (p) {
    return p.bp1_ji_center && css([' justify-items:center ']);
  }, function (p) {
    return p.bp1_ji_end && css([' justify-items:end ']);
  }, function (p) {
    return p.bp1_ji_start && css([' justify-items:start ']);
  }, function (p) {
    return p.bp1_ji_stretch && css([' justify-items:stretch ']);
  }, function (p) {
    return p.bp1_ac_center && css([' align-content:center ']);
  }, function (p) {
    return p.bp1_ac_spacebetween && css([' align-content:space-between ']);
  }, function (p) {
    return p.bp1_ac_spacearound && css([' align-content:space-around ']);
  }, function (p) {
    return p.bp1_ac_spaceevenly && css([' align-content:space-evenly ']);
  }, function (p) {
    return p.bp1_ac_flexstart && css([' align-content:flex-start ']);
  }, function (p) {
    return p.bp1_ac_flexend && css([' align-content:flex-end ']);
  }, function (p) {
    return p.bp1_jc_center && css([' justify-content:center ']);
  }, function (p) {
    return p.bp1_jc_spacebetween && css([' justify-content:space-between ']);
  }, function (p) {
    return p.bp1_jc_spacearound && css([' justify-content:space-around ']);
  }, function (p) {
    return p.bp1_jc_spaceevenly && css([' justify-content:space-evenly ']);
  }, function (p) {
    return p.bp1_jc_flexstart && css([' justify-content:flex-start ']);
  }, function (p) {
    return p.bp1_jc_flexend && css([' justify-content:flex-end ']);
  });
}, function (p) {
  return gridPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, function (p) {
    return p.bp2_size1 && css([' grid-gap:', ';'], theme.SPACING_400);
  }, function (p) {
    return p.bp2_size2 && css([' grid-gap:', ';'], theme.SPACING_700);
  }, function (p) {
    return p.bp2_size3 && css([' grid-gap:', ';'], theme.SPACING_900);
  }, function (p) {
    return p.bp2_cells_1 && css([' grid-template-columns:repeat(1,1fr);']);
  }, function (p) {
    return p.bp2_cells_2 && css([' grid-template-columns:repeat(2,1fr);']);
  }, function (p) {
    return p.bp2_cells_3 && css([' grid-template-columns:repeat(3,1fr);']);
  }, function (p) {
    return p.bp2_cells_4 && css([' grid-template-columns:repeat(4,1fr);']);
  }, function (p) {
    return p.bp2_cells_5 && css([' grid-template-columns:repeat(5,1fr);']);
  }, function (p) {
    return p.bp2_cells_6 && css([' grid-template-columns:repeat(6,1fr);']);
  }, function (p) {
    return p.bp2_cells_7 && css([' grid-template-columns:repeat(7,1fr);']);
  }, function (p) {
    return p.bp2_cells_8 && css([' grid-template-columns:repeat(8,1fr);']);
  }, function (p) {
    return p.bp2_cells_9 && css([' grid-template-columns:repeat(9,1fr);']);
  }, function (p) {
    return p.bp2_cells_10 && css([' grid-template-columns:repeat(10,1fr);']);
  }, function (p) {
    return p.bp2_cells_11 && css([' grid-template-columns:repeat(11,1fr);']);
  }, function (p) {
    return p.bp2_cells_12 && css([' grid-template-columns:repeat(12,1fr);']);
  }, function (p) {
    return p.bp2_ai_center && css([' align-items:center ']);
  }, function (p) {
    return p.bp2_ai_end && css([' align-items:end ']);
  }, function (p) {
    return p.bp2_ai_start && css([' align-items:start ']);
  }, function (p) {
    return p.bp2_ai_stretch && css([' align-items:stretch ']);
  }, function (p) {
    return p.bp2_ji_center && css([' justify-items:center ']);
  }, function (p) {
    return p.bp2_ji_end && css([' justify-items:end ']);
  }, function (p) {
    return p.bp2_ji_start && css([' justify-items:start ']);
  }, function (p) {
    return p.bp2_ji_stretch && css([' justify-items:stretch ']);
  }, function (p) {
    return p.bp2_ac_center && css([' align-content:center ']);
  }, function (p) {
    return p.bp2_ac_spacebetween && css([' align-content:space-between ']);
  }, function (p) {
    return p.bp2_ac_spacearound && css([' align-content:space-around ']);
  }, function (p) {
    return p.bp2_ac_spaceevenly && css([' align-content:space-evenly ']);
  }, function (p) {
    return p.bp2_ac_flexstart && css([' align-content:flex-start ']);
  }, function (p) {
    return p.bp2_ac_flexend && css([' align-content:flex-end ']);
  }, function (p) {
    return p.bp2_jc_center && css([' justify-content:center ']);
  }, function (p) {
    return p.bp2_jc_spacebetween && css([' justify-content:space-between ']);
  }, function (p) {
    return p.bp2_jc_spacearound && css([' justify-content:space-around ']);
  }, function (p) {
    return p.bp2_jc_spaceevenly && css([' justify-content:space-evenly ']);
  }, function (p) {
    return p.bp2_jc_flexstart && css([' justify-content:flex-start ']);
  }, function (p) {
    return p.bp2_jc_flexend && css([' justify-content:flex-end ']);
  });
}, function (p) {
  return gridPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, function (p) {
    return p.bp3_size1 && css([' grid-gap:', ';'], theme.SPACING_400);
  }, function (p) {
    return p.bp3_size2 && css([' grid-gap:', ';'], theme.SPACING_700);
  }, function (p) {
    return p.bp3_size3 && css([' grid-gap:', ';'], theme.SPACING_900);
  }, function (p) {
    return p.bp3_cells_1 && css([' grid-template-columns:repeat(1,1fr);']);
  }, function (p) {
    return p.bp3_cells_2 && css([' grid-template-columns:repeat(2,1fr);']);
  }, function (p) {
    return p.bp3_cells_3 && css([' grid-template-columns:repeat(3,1fr);']);
  }, function (p) {
    return p.bp3_cells_4 && css([' grid-template-columns:repeat(4,1fr);']);
  }, function (p) {
    return p.bp3_cells_5 && css([' grid-template-columns:repeat(5,1fr);']);
  }, function (p) {
    return p.bp3_cells_6 && css([' grid-template-columns:repeat(6,1fr);']);
  }, function (p) {
    return p.bp3_cells_7 && css([' grid-template-columns:repeat(7,1fr);']);
  }, function (p) {
    return p.bp3_cells_8 && css([' grid-template-columns:repeat(8,1fr);']);
  }, function (p) {
    return p.bp3_cells_9 && css([' grid-template-columns:repeat(9,1fr);']);
  }, function (p) {
    return p.bp3_cells_10 && css([' grid-template-columns:repeat(10,1fr);']);
  }, function (p) {
    return p.bp3_cells_11 && css([' grid-template-columns:repeat(11,1fr);']);
  }, function (p) {
    return p.bp3_cells_12 && css([' grid-template-columns:repeat(12,1fr);']);
  }, function (p) {
    return p.bp3_ai_center && css([' align-items:center ']);
  }, function (p) {
    return p.bp3_ai_end && css([' align-items:end ']);
  }, function (p) {
    return p.bp3_ai_start && css([' align-items:start ']);
  }, function (p) {
    return p.bp3_ai_stretch && css([' align-items:stretch ']);
  }, function (p) {
    return p.bp3_ji_center && css([' justify-items:center ']);
  }, function (p) {
    return p.bp3_ji_end && css([' justify-items:end ']);
  }, function (p) {
    return p.bp3_ji_start && css([' justify-items:start ']);
  }, function (p) {
    return p.bp3_ji_stretch && css([' justify-items:stretch ']);
  }, function (p) {
    return p.bp3_ac_center && css([' align-content:center ']);
  }, function (p) {
    return p.bp3_ac_spacebetween && css([' align-content:space-between ']);
  }, function (p) {
    return p.bp3_ac_spacearound && css([' align-content:space-around ']);
  }, function (p) {
    return p.bp3_ac_spaceevenly && css([' align-content:space-evenly ']);
  }, function (p) {
    return p.bp3_ac_flexstart && css([' align-content:flex-start ']);
  }, function (p) {
    return p.bp3_ac_flexend && css([' align-content:flex-end ']);
  }, function (p) {
    return p.bp3_jc_center && css([' justify-content:center ']);
  }, function (p) {
    return p.bp3_jc_spacebetween && css([' justify-content:space-between ']);
  }, function (p) {
    return p.bp3_jc_spacearound && css([' justify-content:space-around ']);
  }, function (p) {
    return p.bp3_jc_spaceevenly && css([' justify-content:space-evenly ']);
  }, function (p) {
    return p.bp3_jc_flexstart && css([' justify-content:flex-start ']);
  }, function (p) {
    return p.bp3_jc_flexend && css([' justify-content:flex-end ']);
  });
}, function (p) {
  return gridPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, function (p) {
    return p.bp4_size1 && css([' grid-gap:', ';'], theme.SPACING_400);
  }, function (p) {
    return p.bp4_size2 && css([' grid-gap:', ';'], theme.SPACING_700);
  }, function (p) {
    return p.bp4_size3 && css([' grid-gap:', ';'], theme.SPACING_900);
  }, function (p) {
    return p.bp4_cells_1 && css([' grid-template-columns:repeat(1,1fr);']);
  }, function (p) {
    return p.bp4_cells_2 && css([' grid-template-columns:repeat(2,1fr);']);
  }, function (p) {
    return p.bp4_cells_3 && css([' grid-template-columns:repeat(3,1fr);']);
  }, function (p) {
    return p.bp4_cells_4 && css([' grid-template-columns:repeat(4,1fr);']);
  }, function (p) {
    return p.bp4_cells_5 && css([' grid-template-columns:repeat(5,1fr);']);
  }, function (p) {
    return p.bp4_cells_6 && css([' grid-template-columns:repeat(6,1fr);']);
  }, function (p) {
    return p.bp4_cells_7 && css([' grid-template-columns:repeat(7,1fr);']);
  }, function (p) {
    return p.bp4_cells_8 && css([' grid-template-columns:repeat(8,1fr);']);
  }, function (p) {
    return p.bp4_cells_9 && css([' grid-template-columns:repeat(9,1fr);']);
  }, function (p) {
    return p.bp4_cells_10 && css([' grid-template-columns:repeat(10,1fr);']);
  }, function (p) {
    return p.bp4_cells_11 && css([' grid-template-columns:repeat(11,1fr);']);
  }, function (p) {
    return p.bp4_cells_12 && css([' grid-template-columns:repeat(12,1fr);']);
  }, function (p) {
    return p.bp4_ai_center && css([' align-items:center ']);
  }, function (p) {
    return p.bp4_ai_end && css([' align-items:end ']);
  }, function (p) {
    return p.bp4_ai_start && css([' align-items:start ']);
  }, function (p) {
    return p.bp4_ai_stretch && css([' align-items:stretch ']);
  }, function (p) {
    return p.bp4_ji_center && css([' justify-items:center ']);
  }, function (p) {
    return p.bp4_ji_end && css([' justify-items:end ']);
  }, function (p) {
    return p.bp4_ji_start && css([' justify-items:start ']);
  }, function (p) {
    return p.bp4_ji_stretch && css([' justify-items:stretch ']);
  }, function (p) {
    return p.bp4_ac_center && css([' align-content:center ']);
  }, function (p) {
    return p.bp4_ac_spacebetween && css([' align-content:space-between ']);
  }, function (p) {
    return p.bp4_ac_spacearound && css([' align-content:space-around ']);
  }, function (p) {
    return p.bp4_ac_spaceevenly && css([' align-content:space-evenly ']);
  }, function (p) {
    return p.bp4_ac_flexstart && css([' align-content:flex-start ']);
  }, function (p) {
    return p.bp4_ac_flexend && css([' align-content:flex-end ']);
  }, function (p) {
    return p.bp4_jc_center && css([' justify-content:center ']);
  }, function (p) {
    return p.bp4_jc_spacebetween && css([' justify-content:space-between ']);
  }, function (p) {
    return p.bp4_jc_spacearound && css([' justify-content:space-around ']);
  }, function (p) {
    return p.bp4_jc_spaceevenly && css([' justify-content:space-evenly ']);
  }, function (p) {
    return p.bp4_jc_flexstart && css([' justify-content:flex-start ']);
  }, function (p) {
    return p.bp4_jc_flexend && css([' justify-content:flex-end ']);
  });
}, Margin);

export default Grid;