import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';
import NegativeMargin from './../utilities/NegativeMargin';
import Leading from './../utilities/Leading';
import TextAlign from './../utilities/TextAlign';
import Color from './../utilities/Color';

var Heading = styled.h3.withConfig({
  displayName: 'Heading',
  componentId: 'sc-1c65e2b-0'
})(['color:', ';font-family:\'UntitledSans\',apple-system,BlinkMacSystemFont;margin:0;', ' ', ' ', ' ', ' ', ' ', ' @media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', '}', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.GRAY_900, function (p) {
  return p.size1 && css(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.size2 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.size3 && css(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.size4 && css(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.size5 && css(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.size6 && css(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_100, function (p) {
  return p.bp1_size1 && css(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp1_size2 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp1_size3 && css(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp1_size4 && css(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp1_size5 && css(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp1_size6 && css(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_200, function (p) {
  return p.bp2_size1 && css(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp2_size2 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp2_size3 && css(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp2_size4 && css(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp2_size5 && css(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp2_size6 && css(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_300, function (p) {
  return p.bp3_size1 && css(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp3_size2 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp3_size3 && css(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp3_size4 && css(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp3_size5 && css(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp3_size6 && css(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, theme.BREAKPOINT_400, function (p) {
  return p.bp4_size1 && css(['font-size:', ';letter-spacing:-.0125em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.bp4_size2 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.bp4_size3 && css(['font-size:', ';letter-spacing:-.012em;margin-left:-.075em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.bp4_size4 && css(['font-size:', ';letter-spacing:-.028em;margin-left:-.085em;'], theme.FONTSIZE_900);
}, function (p) {
  return p.bp4_size5 && css(['font-size:', ';letter-spacing:-.042em;margin-left:-.088em;'], theme.FONTSIZE_1000);
}, function (p) {
  return p.bp4_size6 && css(['font-size:', ';letter-spacing:-.052em;margin-left:-.09em;'], theme.FONTSIZE_1100);
}, function (p) {
  return p.bold && css(['font-weight:500;font-family:', ';'], theme.UNTITLEDSANSMEDIUM);
}, function (p) {
  return p.truncate && css(['white-space:nowrap;text-overflow:ellipsis;overflow:hidden;']);
}, function (p) {
  return p.nowrap && css(['white-space:nowrap;']);
}, function (p) {
  return p.tnum && css(['font-feature-settings:\'tnum\';']);
}, function (p) {
  return p.us_none && css(['user-select:none;']);
}, Leading, Margin, NegativeMargin, TextAlign, Color);

Heading.propTypes = {
  mode: PropTypes.oneOf(['size1', 'size2', 'size3', 'size4', 'size5', 'size6'])
};

export default Heading;