var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import PropTypes from 'prop-types';
import styled, { css, keyframes } from 'styled-components';
import * as theme from './../theme/';

var animation = keyframes(['100%{transform:translateX(', ');}'], theme.SPACING_300);

var Outer = styled.div.withConfig({
  displayName: 'Progress__Outer',
  componentId: 'n9wwxe-0'
})(['background-color:', ';border-radius:9999px;overflow:hidden;width:100%;', ' ', ' ', ''], theme.GRAY_300, function (p) {
  return p.size1 && css(['height:', ';'], theme.SPACING_100);
}, function (p) {
  return p.size2 && css(['height:', ';'], theme.SPACING_200);
}, function (p) {
  return p.size3 && css(['height:', ';'], theme.SPACING_500);
});

var Inner = styled.div.withConfig({
  displayName: 'Progress__Inner',
  componentId: 'n9wwxe-1'
})(['background-color:', ';height:100%;transition-property:width;transition-duration:300ms;transition-timing-function:ease;', ''], theme.GRAY_400, function (p) {
  return p.blue && css(['position:relative;background-color:', ';overflow:hidden;&::before{position:absolute;content:\'\';top:0;left:-100%;width:200%;height:100%;background-image:linear-gradient( -45deg,transparent 33%,rgba(0,0,0,.08) 33%,rgba(0,0,0,.08) 66%,transparent 66% );background-size:', ' ', ';animation:', ' 500ms linear infinite;}'], theme.BLUE_500, theme.SPACING_300, theme.SPACING_200, animation);
});

var Progress = function Progress(props) {
  return React.createElement(
    Outer,
    props,
    React.createElement(Inner, _extends({}, props, {
      role: 'progressbar',
      'aria-valuenow': props.currentValue,
      'aria-valuemin': props.minValue,
      'aria-valuemax': props.maxValue,
      style: {
        width: props.currentValue + '%'
      }
    }))
  );
};

Progress.propTypes = process.env.NODE_ENV !== "production" ? {
  mode: PropTypes.oneOf(['size1', 'size2'])
} : {};

Progress.defaultProps = {
  size: 'size2',
  currentValue: '0',
  minValue: '0',
  maxValue: '100'
};

export default Progress;