var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';

var Wrapper = styled.label.withConfig({
  displayName: 'Radio__Wrapper',
  componentId: 'ddyz20-0'
})(['position:relative;display:inline-flex;width:', ';height:', ';vertical-align:middle;border-radius:50%;align-items:center;justify-content:center;box-shadow:inset 0 0 0 1px ', ';cursor:pointer;&:hover{box-shadow:inset 0 0 0 1px ', ';}'], theme.SPACING_400, theme.SPACING_400, theme.GRAY_400, theme.GRAY_500);

var Input = styled.input.withConfig({
  displayName: 'Radio__Input',
  componentId: 'ddyz20-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{background-color:', ';}'], theme.BLUE_500);

var Dummy = styled.div.withConfig({
  displayName: 'Radio__Dummy',
  componentId: 'ddyz20-2'
})(['position:absolute;top:50%;left:50%;width:', ';height:', ';border-radius:50%;transform:translateX(-50%) translateY(-50%);'], theme.SPACING_200, theme.SPACING_200);

var Radio = function Radio(_ref) {
  var group = _ref.group,
      onClick = _ref.onClick,
      onChange = _ref.onChange,
      otherProps = _objectWithoutProperties(_ref, ['group', 'onClick', 'onChange']);

  return React.createElement(
    Wrapper,
    null,
    React.createElement(Input, _extends({}, otherProps, {
      type: 'radio',
      name: group,
      onClick: onClick,
      onChange: onChange
    })),
    React.createElement(Dummy, otherProps)
  );
};

export default Radio;