import PropTypes from 'prop-types';
import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import BackgroundColor from './../utilities/BackgroundColor';
import NegativeMargin from './../utilities/NegativeMargin';
import Position from './../utilities/Position';
var sectionPropsKeys = ['size1', 'size2', 'size3', 'expanded'];
var Section = styled.section.withConfig({
  displayName: 'Section',
  componentId: 'sc-1yqwroa-0'
})(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (props) {
  return props.size1 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
}, function (props) {
  return props.size2 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
}, function (props) {
  return props.size3 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
}, function (props) {
  return props.expanded && css(['height:100vh;']);
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp1_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, function (props) {
    return props.bp1_size1 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp1_size2 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp1_size3 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp1_expanded && css(['height:100vh;']);
  });
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp2_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, function (props) {
    return props.bp2_size1 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp2_size2 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp2_size3 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp2_expanded && css(['height:100vh;']);
  });
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp3_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, function (props) {
    return props.bp3_size1 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp3_size2 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp3_size3 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp3_expanded && css(['height:100vh;']);
  });
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp4_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, function (props) {
    return props.bp4_size1 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp4_size2 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp4_size3 && css(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp4_expanded && css(['height:100vh;']);
  });
}, BackgroundColor, NegativeMargin, Position);

Section.propTypes = {
  mode: PropTypes.oneOf(['size1', 'size2', 'size3'])
};

export default Section;