import React from 'react';
import styled from 'styled-components';
import * as theme from './../theme/';

var Wrapper = styled.div.withConfig({
  displayName: 'Select__Wrapper',
  componentId: 'sc-1o9w4r-0'
})(['position:relative;box-shadow:inset 0 -1px 0 0 ', ';'], theme.GRAY_400);

var Menu = styled.select.withConfig({
  displayName: 'Select__Menu',
  componentId: 'sc-1o9w4r-1'
})(['appearance:none;background-color:transparent;height:', ';line-height:', ';font-family:inherit;padding:0;font-size:', ';border-radius:0;padding-right:', ';border:none;outline:none;width:100%;'], theme.SPACING_500, theme.SPACING_500, theme.FONTSIZE_300, theme.SPACING_300);

var IconContainer = styled.div.withConfig({
  displayName: 'Select__IconContainer',
  componentId: 'sc-1o9w4r-2'
})(['position:absolute;top:0;left:0;width:100%;height:100%;display:flex;align-items:center;justify-content:flex-end;pointer-events:none;']);

var Select = function Select(props) {
  return React.createElement(
    Wrapper,
    null,
    React.createElement(
      Menu,
      props,
      props.children
    ),
    React.createElement(
      IconContainer,
      null,
      React.createElement(
        'svg',
        {
          xmlns: 'http://www.w3.org/2000/svg',
          width: '15',
          height: '15',
          viewBox: '0 0 15 15',
          fill: 'none',
          stroke: 'currentColor',
          style: {
            display: 'block'
          }
        },
        React.createElement('path', { d: 'M14.5 5.5L12.5 3.5L10.5 5.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
        React.createElement('path', { d: 'M14.5 9.5L12.5 11.5L10.5 9.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
      )
    )
  );
};

export default Select;