var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import styled from 'styled-components';
import * as theme from './../theme/';

var Wrapper = styled.label.withConfig({
  displayName: 'Switch__Wrapper',
  componentId: 'sc-1dtighu-0'
})(['position:relative;display:block;width:', ';height:', ';'], theme.SPACING_600, theme.SPACING_100);

var Checkbox = styled.input.withConfig({
  displayName: 'Switch__Checkbox',
  componentId: 'sc-1dtighu-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{background-color:', ';}&:checked + div::before{transform:translateX(', ');background-color:', ';}'], theme.BLUE_400, theme.SPACING_400, theme.BLUE_500);

var Dummy = styled.div.withConfig({
  displayName: 'Switch__Dummy',
  componentId: 'sc-1dtighu-2'
})(['position:absolute;cursor:pointer;top:0;left:0;right:0;bottom:0;background-color:', ';border-radius:9999px;transition:background-color 100ms ease;&::before{position:absolute;content:"";height:', ';width:', ';left:0;bottom:-5px;background-color:', ';transition:transform 100ms ease;border-radius:50%;}&::after{position:absolute;content:\'\';bottom:-5px;left:0;width:100%;height:', ';}'], theme.GRAY_400, theme.SPACING_300, theme.SPACING_300, theme.GRAY_500, theme.SPACING_300);

var Switch = function Switch(props) {
  return React.createElement(
    Wrapper,
    null,
    React.createElement(Checkbox, _extends({}, props, {
      type: 'checkbox'
    })),
    React.createElement(Dummy, null)
  );
};

export default Switch;