import styled, { css } from 'styled-components';
import * as theme from './../theme/';
import Margin from './../utilities/Margin';
import NegativeMargin from './../utilities/NegativeMargin';
import Leading from './../utilities/Leading';
import TextAlign from './../utilities/TextAlign';
import Color from './../utilities/Color';
var textPropsKeys = ['size1', 'size2', 'size3', 'size4', 'size5', 'size6', 'size7', 'size8'];
var Text = styled.span.withConfig({
  displayName: 'Text',
  componentId: 'qvolw2-0'
})(['display:block;font-family:\'UntitledSans\',apple-system,BlinkMacSystemFont;', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (p) {
  return p.size1 && css(['font-size:', ';letter-spacing:.032em;'], theme.FONTSIZE_200);
}, function (p) {
  return p.size2 && css(['font-size:', ';'], theme.FONTSIZE_300);
}, function (p) {
  return p.size3 && css(['font-size:', ';letter-spacing:-.001em;margin-left:-.05em;'], theme.FONTSIZE_400);
}, function (p) {
  return p.size4 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_500);
}, function (p) {
  return p.size5 && css(['font-size:', ';letter-spacing:-.006em;margin-left:-.075em;'], theme.FONTSIZE_600);
}, function (p) {
  return p.size6 && css(['font-size:', ';letter-spacing:-.008em;margin-left:-.085em;'], theme.FONTSIZE_700);
}, function (p) {
  return p.size7 && css(['font-size:', ';letter-spacing:-.018em;margin-left:-.088em;'], theme.FONTSIZE_800);
}, function (p) {
  return p.size8 && css(['font-size:', ';letter-spacing:-.024em;margin-left:-.09em;'], theme.FONTSIZE_900);
}, function (p) {
  return textPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, function (p) {
    return p.bp1_size1 && css(['font-size:', ';'], theme.FONTSIZE_200);
  }, function (p) {
    return p.bp1_size2 && css(['font-size:', ';'], theme.FONTSIZE_300);
  }, function (p) {
    return p.bp1_size3 && css(['font-size:', ';letter-spacing:-.001em;margin-left:-.05em;'], theme.FONTSIZE_400);
  }, function (p) {
    return p.bp1_size4 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_500);
  }, function (p) {
    return p.bp1_size5 && css(['font-size:', ';letter-spacing:-.006em;margin-left:-.075em;'], theme.FONTSIZE_600);
  }, function (p) {
    return p.bp1_size6 && css(['font-size:', ';letter-spacing:-.008em;margin-left:-.085em;'], theme.FONTSIZE_700);
  }, function (p) {
    return p.bp1_size7 && css(['font-size:', ';letter-spacing:-.018em;margin-left:-.088em;'], theme.FONTSIZE_800);
  }, function (p) {
    return p.bp1_size8 && css(['font-size:', ';letter-spacing:-.024em;margin-left:-.09em;'], theme.FONTSIZE_900);
  });
}, function (p) {
  return textPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, function (p) {
    return p.bp2_size1 && css(['font-size:', ';'], theme.FONTSIZE_200);
  }, function (p) {
    return p.bp2_size2 && css(['font-size:', ';'], theme.FONTSIZE_300);
  }, function (p) {
    return p.bp2_size3 && css(['font-size:', ';letter-spacing:-.001em;margin-left:-.05em;'], theme.FONTSIZE_400);
  }, function (p) {
    return p.bp2_size4 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_500);
  }, function (p) {
    return p.bp2_size5 && css(['font-size:', ';letter-spacing:-.006em;margin-left:-.075em;'], theme.FONTSIZE_600);
  }, function (p) {
    return p.bp2_size6 && css(['font-size:', ';letter-spacing:-.008em;margin-left:-.085em;'], theme.FONTSIZE_700);
  }, function (p) {
    return p.bp2_size7 && css(['font-size:', ';letter-spacing:-.018em;margin-left:-.088em;'], theme.FONTSIZE_800);
  }, function (p) {
    return p.bp2_size8 && css(['font-size:', ';letter-spacing:-.024em;margin-left:-.09em;'], theme.FONTSIZE_900);
  });
}, function (p) {
  return textPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, function (p) {
    return p.bp3_size1 && css(['font-size:', ';'], theme.FONTSIZE_200);
  }, function (p) {
    return p.bp3_size2 && css(['font-size:', ';'], theme.FONTSIZE_300);
  }, function (p) {
    return p.bp3_size3 && css(['font-size:', ';letter-spacing:-.001em;margin-left:-.05em;'], theme.FONTSIZE_400);
  }, function (p) {
    return p.bp3_size4 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_500);
  }, function (p) {
    return p.bp3_size5 && css(['font-size:', ';letter-spacing:-.006em;margin-left:-.075em;'], theme.FONTSIZE_600);
  }, function (p) {
    return p.bp3_size6 && css(['font-size:', ';letter-spacing:-.008em;margin-left:-.085em;'], theme.FONTSIZE_700);
  }, function (p) {
    return p.bp3_size7 && css(['font-size:', ';letter-spacing:-.018em;margin-left:-.088em;'], theme.FONTSIZE_800);
  }, function (p) {
    return p.bp3_size8 && css(['font-size:', ';letter-spacing:-.024em;margin-left:-.09em;'], theme.FONTSIZE_900);
  });
}, function (p) {
  return textPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && css(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, function (p) {
    return p.bp4_size1 && css(['font-size:', ';'], theme.FONTSIZE_200);
  }, function (p) {
    return p.bp4_size2 && css(['font-size:', ';'], theme.FONTSIZE_300);
  }, function (p) {
    return p.bp4_size3 && css(['font-size:', ';letter-spacing:-.001em;margin-left:-.05em;'], theme.FONTSIZE_400);
  }, function (p) {
    return p.bp4_size4 && css(['font-size:', ';letter-spacing:-.005em;margin-left:-.06em;'], theme.FONTSIZE_500);
  }, function (p) {
    return p.bp4_size5 && css(['font-size:', ';letter-spacing:-.006em;margin-left:-.075em;'], theme.FONTSIZE_600);
  }, function (p) {
    return p.bp4_size6 && css(['font-size:', ';letter-spacing:-.008em;margin-left:-.085em;'], theme.FONTSIZE_700);
  }, function (p) {
    return p.bp4_size7 && css(['font-size:', ';letter-spacing:-.018em;margin-left:-.088em;'], theme.FONTSIZE_800);
  }, function (p) {
    return p.bp4_size8 && css(['font-size:', ';letter-spacing:-.024em;margin-left:-.09em;'], theme.FONTSIZE_900);
  });
}, function (p) {
  return p.nowrap && css(['white-space:nowrap;']);
}, function (p) {
  return p.bold && css(['font-weight:500;font-family:', ';'], theme.UNTITLEDSANSMEDIUM);
}, function (p) {
  return p.truncate && css(['white-space:nowrap;text-overflow:ellipsis;overflow:hidden;']);
}, function (p) {
  return p.inline && css(['display:inline;']);
}, function (p) {
  return p.tnum && css(['font-feature-settings:\'tnum\';']);
}, function (p) {
  return p.us_none && css(['user-select:none;']);
}, Leading, Margin, NegativeMargin, TextAlign, Color);

export default Text;