function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';

// Note that it's not necessary to import before exporting
// We only need to import if we want to use these in the little demo generated below
import AspectRatio from './components/AspectRatio';
import Alert from './components/Alert';
import Badge from './components/Badge';
import Box from './components/Box';
import Button from './components/Button';
import Card from './components/Card';
import CardLink from './components/CardLink';
import ChromelessButton from './components/ChromelessButton';
import Container from './components/Container';
import ContextMenu from './components/ContextMenu';
import Divider from './components/Divider';
import Textarea from './components/Textarea';
import Flexbox from './components/Flexbox';
import Heading from './components/Heading';
import Overlay from './components/Overlay';
import { DialogProvider } from './components/DialogProvider';
import Dialog from './components/Dialog';
import DialogRoot from './components/DialogRoot';
import Title from './components/Title';
import Status from './components/Status';
import Image from './components/Image';
import BackgroundImage from './components/BackgroundImage';
import GhostInput from './components/GhostInput';
import Input from './components/Input';
import LinesButton from './components/LinesButton';
import GhostButton from './components/GhostButton';
import CheckboxButton from './components/CheckboxButton';
import Link from './components/Link';
import List from './components/List';
import ListItem from './components/ListItem';
import MenuItem from './components/MenuItem';
import MenuItemButton from './components/MenuItemButton';
import MenuItemLink from './components/MenuItemLink';
import Section from './components/Section';
import Slider, { SliderWrapper } from './components/Slider';
import Select from './components/Select';
import Switch from './components/Switch';
import Text from './components/Text';
import ToggleButton from './components/ToggleButton';
import Code from './components/Code';
import Avatar from './components/Avatar';
import Tooltip from './components/Tooltip';
import Progress from './components/Progress';
import Radio from './components/Radio';
import Table from './components/Table';
import Checkbox from './components/Checkbox';
import IndicatorButton from './components/IndicatorButton';
import Grid from './components/Grid';
import PillTab from './components/PillTab';
import HoverZone from './components/HoverZone';
import HoverZonePanel from './components/HoverZonePanel';

// It's necessary to export any components that we want to use elsewhere
// with the "export x from 'radix'" syntax
import _AspectRatio from './components/AspectRatio';
export { _AspectRatio as AspectRatio };
import _Alert from './components/Alert';
export { _Alert as Alert };
import _Badge from './components/Badge';
export { _Badge as Badge };
import _Box from './components/Box';
export { _Box as Box };
import _Button from './components/Button';
export { _Button as Button };
import _Card from './components/Card';
export { _Card as Card };
import _CardLink from './components/CardLink';
export { _CardLink as CardLink };
import _ChromelessButton from './components/ChromelessButton';
export { _ChromelessButton as ChromelessButton };
import _Container from './components/Container';
export { _Container as Container };
import _ContextMenu from './components/ContextMenu';
export { _ContextMenu as ContextMenu };
import _Divider from './components/Divider';
export { _Divider as Divider };
import _Flexbox from './components/Flexbox';
export { _Flexbox as Flexbox };
import _Heading from './components/Heading';
export { _Heading as Heading };
import _Image from './components/Image';
export { _Image as Image };
import _Input from './components/Input';
export { _Input as Input };
import _Overlay from './components/Overlay';
export { _Overlay as Overlay };

export { DialogProvider } from './components/DialogProvider';
import _Dialog from './components/Dialog';
export { _Dialog as Dialog };
import _DialogRoot from './components/DialogRoot';
export { _DialogRoot as DialogRoot };
import _LinesButton from './components/LinesButton';
export { _LinesButton as LinesButton };
import _Link from './components/Link';
export { _Link as Link };
import _List from './components/List';
export { _List as List };
import _ListItem from './components/ListItem';
export { _ListItem as ListItem };
import _MenuItem from './components/MenuItem';
export { _MenuItem as MenuItem };
import _MenuItemButton from './components/MenuItemButton';
export { _MenuItemButton as MenuItemButton };
import _MenuItemLink from './components/MenuItemLink';
export { _MenuItemLink as MenuItemLink };
import _Section from './components/Section';
export { _Section as Section };
import _Slider from './components/Slider';
export { _Slider as Slider };
import _Select from './components/Select';
export { _Select as Select };
import _Switch from './components/Switch';
export { _Switch as Switch };
import _Text from './components/Text';
export { _Text as Text };
import _ToggleButton from './components/ToggleButton';
export { _ToggleButton as ToggleButton };
import _CheckboxButton from './components/CheckboxButton';
export { _CheckboxButton as CheckboxButton };
import _Code from './components/Code';
export { _Code as Code };
import _Avatar from './components/Avatar';
export { _Avatar as Avatar };
import _Tooltip from './components/Tooltip';
export { _Tooltip as Tooltip };
import _Progress from './components/Progress';
export { _Progress as Progress };
import _Radio from './components/Radio';
export { _Radio as Radio };
import _Checkbox from './components/Checkbox';
export { _Checkbox as Checkbox };
import _IndicatorButton from './components/IndicatorButton';
export { _IndicatorButton as IndicatorButton };
import _GhostButton from './components/GhostButton';
export { _GhostButton as GhostButton };
import _Grid from './components/Grid';
export { _Grid as Grid };
import _Status from './components/Status';
export { _Status as Status };
import _Table from './components/Table';
export { _Table as Table };
import _BackgroundImage from './components/BackgroundImage';
export { _BackgroundImage as BackgroundImage };
import _Title from './components/Title';
export { _Title as Title };
import _Textarea from './components/Textarea';
export { _Textarea as Textarea };
import _PillTab from './components/PillTab';
export { _PillTab as PillTab };
import _HoverZone from './components/HoverZone';
export { _HoverZone as HoverZone };
import _HoverZonePanel from './components/HoverZonePanel';
export { _HoverZonePanel as HoverZonePanel };
import _GhostInput from './components/GhostInput';
export { _GhostInput as GhostInput };


import * as Theme from './theme';
export { Theme };

var Providers = function Providers(_ref) {
  var children = _ref.children;
  return React.createElement(
    DialogProvider,
    null,
    children
  );
};

var _default = function (_Component) {
  _inherits(_default, _Component);

  function _default() {
    _classCallCheck(this, _default);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  _default.prototype.render = function render() {
    // const demoDialog = ({ close }) => (
    //   <Flexbox fd_column height_100>
    //     <Box padding_4 fs_0>
    //       <Heading size2 bold>
    //         Heading
    //       </Heading>
    //     </Box>
    //     <Box pl_4 pr_4 oy_auto fg_1>
    //       <Text size3 lh_2>
    //         Absolutely any content can go inside the dialog. No restrictions at all.
    //       </Text>
    //     </Box>
    //     <Box padding_4 fs_0>
    //       <Flexbox jc_flexend>
    //         <Button size2 mr_4 onClick={close}>
    //           Cancel
    //         </Button>
    //         <Button size2 blue onClick={close}>
    //           Accept
    //         </Button>
    //       </Flexbox>
    //     </Box>
    //   </Flexbox>
    // );

    return React.createElement(
      Providers,
      null,
      React.createElement(Tooltip, null),
      React.createElement(
        Alert,
        { gray: true },
        React.createElement(
          Container,
          { size1: true },
          React.createElement(
            Flexbox,
            { jc_center: true, ai_center: true },
            React.createElement(
              Text,
              null,
              React.createElement(
                Text,
                { as: 'strong', inline: true, bold: true },
                'Modulz 2.0'
              ),
              '\u2014The next step in visual coding.'
            ),
            React.createElement(Divider, { vertical: true, size1: true, ml_2: true, mr_2: true }),
            React.createElement(
              Link,
              null,
              'Learn more',
              React.createElement(
                Box,
                { ml_1: true },
                React.createElement(
                  'svg',
                  {
                    xmlns: 'http://www.w3.org/2000/svg',
                    width: '15',
                    height: '15',
                    viewBox: '0 0 15 15',
                    fill: 'none',
                    stroke: 'currentColor'
                  },
                  React.createElement('path', { d: 'M7.5 3.5L12.5 7.5L7.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                  React.createElement('path', { d: 'M2.5 7.5H12.5', strokeLinecap: 'round' })
                )
              )
            )
          )
        )
      ),
      React.createElement(
        Section,
        {
          size3: true
        },
        React.createElement(
          Container,
          {
            size2: true
          },
          React.createElement(
            Grid,
            { cells_2: true, size3: true },
            React.createElement(
              'div',
              null,
              React.createElement(
                Grid,
                { cells_2: true, size1: true, mb_2: true },
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                )
              ),
              React.createElement(
                Grid,
                { cells_5: true, size1: true, mb_2: true },
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                )
              ),
              React.createElement(
                Grid,
                { cells_3: true, size1: true },
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(Box, { bc_blue500: true, padding_1: true })
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                'div',
                {
                  style: {
                    position: 'relative',
                    overflow: 'hidden',
                    width: '200px',
                    height: '200px'
                  }
                },
                React.createElement(Card, {
                  style: {
                    position: 'absolute',
                    backgroundImage: 'url("https://images.unsplash.com/photo-1544284381-d4043c89656e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2468&q=80")',
                    backgroundPosition: 'center',
                    backgroundSize: 'cover',
                    width: '100%',
                    height: '100%'
                  }
                })
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Grid,
                { cells_2: true, size1: true },
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    Card,
                    { border: true, padding_4: true },
                    React.createElement(
                      Heading,
                      { size1: true, lh_1: true, color_gray600: true, mb_1: true },
                      'Nona Willis Aronowitz'
                    ),
                    React.createElement(
                      Heading,
                      { size2: true, bold: true, lh_2: true },
                      'Hate Amazon? Try Living Without It.'
                    ),
                    React.createElement(
                      Text,
                      { size3: true, lh_2: true, mt_1: true },
                      'My dad was a longtime labor activist. He despises what Jeff Bezos built, but he can\u2019t quit it.'
                    ),
                    React.createElement(
                      Text,
                      { size2: true, color_gray600: true, mt_2: true, as: 'time' },
                      'Dec. 8'
                    )
                  )
                ),
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    Card,
                    { perspective: true, padding_4: true },
                    React.createElement(
                      Heading,
                      { size1: true, bold: true, lh_1: true },
                      'China, Facing Difficult Balancing Act, Summons U.S. Envoy Over Huawei Arrest'
                    ),
                    React.createElement(
                      Text,
                      { size2: true, lh_1: true, mt_1: true },
                      'China\u2019s leadership is seeking to maintain a recent thaw with the United States while lashing out at the arrest of a top Chinese tech executive.'
                    ),
                    React.createElement(
                      Text,
                      { size1: true, color_gray600: true, mt_2: true, as: 'time' },
                      '15m ago'
                    )
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Grid,
                { cells_2: true, size1: true },
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    CardLink,
                    { as: 'a', href: 'https://www.modulz.app', border: true, padding_4: true },
                    React.createElement(
                      Heading,
                      { size1: true, lh_1: true, color_gray600: true, mb_1: true },
                      'Nona Willis Aronowitz'
                    ),
                    React.createElement(
                      Heading,
                      { size2: true, bold: true, lh_2: true },
                      'Hate Amazon? Try Living Without It.'
                    ),
                    React.createElement(
                      Text,
                      { size3: true, lh_2: true, mt_1: true },
                      'My dad was a longtime labor activist. He despises what Jeff Bezos built, but he can\u2019t quit it.'
                    ),
                    React.createElement(
                      Text,
                      { size2: true, color_gray600: true, mt_2: true, as: 'time' },
                      'Dec. 8'
                    )
                  )
                ),
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    CardLink,
                    { as: 'button', border: true, selected: true, padding_4: true },
                    React.createElement(
                      Heading,
                      { size1: true, lh_1: true, color_gray600: true, mb_1: true },
                      'Nona Willis Aronowitz'
                    ),
                    React.createElement(
                      Heading,
                      { size2: true, bold: true, lh_2: true },
                      'Hate Amazon? Try Living Without It.'
                    ),
                    React.createElement(
                      Text,
                      { size3: true, lh_2: true, mt_1: true },
                      'My dad was a longtime labor activist. He despises what Jeff Bezos built, but he can\u2019t quit it.'
                    ),
                    React.createElement(
                      Text,
                      { size2: true, color_gray600: true, mt_2: true, as: 'time' },
                      'Dec. 8'
                    )
                  )
                ),
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    CardLink,
                    { as: 'a', href: 'https://www.modulz.app', perspective: true, padding_4: true },
                    React.createElement(
                      Heading,
                      { size1: true, bold: true, lh_1: true },
                      'China, Facing Difficult Balancing Act, Summons U.S. Envoy Over Huawei Arrest'
                    ),
                    React.createElement(
                      Text,
                      { size2: true, lh_1: true, mt_1: true },
                      'China\u2019s leadership is seeking to maintain a recent thaw with the United States while lashing out at the arrest of a top Chinese tech executive.'
                    ),
                    React.createElement(
                      Text,
                      { size1: true, color_gray600: true, mt_2: true, as: 'time' },
                      '15m ago'
                    )
                  )
                ),
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    CardLink,
                    { as: 'a', href: 'https://www.modulz.app', ghost: true, padding_4: true },
                    React.createElement(
                      Heading,
                      { size1: true, bold: true, lh_1: true },
                      'China, Facing Difficult Balancing Act, Summons U.S. Envoy Over Huawei Arrest'
                    ),
                    React.createElement(
                      Text,
                      { size2: true, lh_1: true, mt_1: true },
                      'China\u2019s leadership is seeking to maintain a recent thaw with the United States while lashing out at the arrest of a top Chinese tech executive.'
                    ),
                    React.createElement(
                      Text,
                      { size1: true, color_gray600: true, mt_2: true, as: 'time' },
                      '15m ago'
                    )
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Box,
                {
                  ai_center: true,
                  mb_6: true
                },
                React.createElement(
                  Alert,
                  { rounded: true, gray: true },
                  React.createElement(
                    Text,
                    { size2: true },
                    'You have been logged out.'
                  )
                )
              ),
              React.createElement(
                Box,
                {
                  ai_center: true,
                  mb_6: true
                },
                React.createElement(
                  Alert,
                  { rounded: true, blue: true },
                  React.createElement(
                    Text,
                    { size2: true },
                    'We have launched a new product!'
                  )
                )
              ),
              React.createElement(
                Box,
                {
                  ai_center: true,
                  mb_6: true
                },
                React.createElement(
                  Alert,
                  { rounded: true, green: true },
                  React.createElement(
                    Text,
                    { size2: true },
                    'Password changed successfully.'
                  )
                )
              ),
              React.createElement(
                Box,
                {
                  ai_center: true,
                  mb_6: true
                },
                React.createElement(
                  Alert,
                  { rounded: true, yellow: true },
                  React.createElement(
                    Text,
                    { size2: true },
                    'Mate, you messed up your password.'
                  )
                )
              ),
              React.createElement(
                Box,
                {
                  ai_center: true,
                  mb_6: true
                },
                React.createElement(
                  Alert,
                  { rounded: true, red: true },
                  React.createElement(
                    Text,
                    { size2: true },
                    'You have been logged out.'
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  ai_center: true
                },
                React.createElement(
                  Button,
                  { mr_4: true },
                  'Button'
                ),
                React.createElement(
                  Button,
                  { size2: true },
                  'Button'
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mt_6: true
                },
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, blue: true },
                  'Blue'
                ),
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, green: true },
                  'Green'
                ),
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, yellow: true },
                  'Yellow'
                ),
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, red: true },
                  'Red'
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mt_6: true
                },
                React.createElement(
                  Button,
                  { size2: true, left: true },
                  'Left'
                ),
                React.createElement(
                  Button,
                  { size2: true, middle: true },
                  'Middle'
                ),
                React.createElement(
                  Button,
                  { size2: true, right: true },
                  'Right'
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mt_6: true
                },
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, active: true },
                  'Active'
                ),
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, disabled: true },
                  'Disabled'
                ),
                React.createElement(
                  Button,
                  { mr_4: true, size2: true, waiting: true },
                  'Waiting'
                )
              ),
              React.createElement(
                Flexbox,
                {
                  ai_center: true,
                  mt_6: true
                },
                React.createElement(
                  Button,
                  {
                    blue: true,
                    mr_4: true
                  },
                  React.createElement(
                    Box,
                    {
                      mr_1: true
                    },
                    React.createElement(
                      'svg',
                      { width: '15', height: '15', viewBox: '0 0 15 15', fill: 'none', stroke: 'currentColor', xmlns: 'http://www.w3.org/2000/svg', style: { display: 'block' } },
                      React.createElement('path', { d: 'M5 0L0 4L5 8', transform: 'translate(2.5 3.5)', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                      React.createElement('path', { d: 'M0 0H10', transform: 'translate(2.5 7.5)', strokeLinecap: 'round' })
                    )
                  ),
                  'Back'
                ),
                React.createElement(
                  Button,
                  {
                    size2: true,
                    blue: true
                  },
                  React.createElement(
                    Box,
                    {
                      mr_2: true
                    },
                    React.createElement(
                      'svg',
                      { width: '25', height: '25', viewBox: '0 0 25 25', fill: 'none', stroke: 'currentColor', xmlns: 'http://www.w3.org/2000/svg', style: { display: 'block' } },
                      React.createElement('path', { d: 'M0 0H14', transform: 'translate(5.5 12.5)', strokeLinecap: 'round' }),
                      React.createElement('path', { d: 'M0 14V0', transform: 'translate(12.5 5.5)', strokeLinecap: 'round' })
                    )
                  ),
                  'Follow'
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  ai_center: true
                },
                React.createElement(
                  ChromelessButton,
                  null,
                  'ChromelessButton'
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  mb_6: true
                },
                React.createElement(
                  ToggleButton,
                  {
                    left: true,
                    group: 'direction',
                    defaultChecked: 'true'
                  },
                  'Row'
                ),
                React.createElement(
                  ToggleButton,
                  {
                    right: true,
                    group: 'direction'
                  },
                  'Column'
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mb_6: true
                },
                React.createElement(
                  ToggleButton,
                  {
                    left: true,
                    group: 'justify',
                    defaultChecked: 'true'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M4.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('rect', { x: '4.5', y: '8.5', width: '4', height: '8' }),
                    React.createElement('rect', { x: '8.5', y: '8.5', width: '4', height: '8' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    middle: true,
                    group: 'justify'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M12.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('rect', { x: '8.5', y: '8.5', width: '4', height: '8' }),
                    React.createElement('rect', { x: '12.5', y: '8.5', width: '4', height: '8' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    middle: true,
                    group: 'justify'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M20.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('rect', { x: '12.5', y: '8.5', width: '4', height: '8' }),
                    React.createElement('rect', { x: '16.5', y: '8.5', width: '4', height: '8' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    middle: true,
                    group: 'justify'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M20.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('path', { d: 'M4.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('rect', { x: '4.5', y: '8.5', width: '4', height: '8' }),
                    React.createElement('rect', { x: '16.5', y: '8.5', width: '4', height: '8' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    right: true,
                    group: 'justify'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M20.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('path', { d: 'M4.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('path', { d: 'M12.5 4.5V20.5', strokeLinecap: 'round' }),
                    React.createElement('rect', { x: '6.5', y: '8.5', width: '4', height: '8' }),
                    React.createElement('rect', { x: '14.5', y: '8.5', width: '4', height: '8' })
                  )
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mb_6: true
                },
                React.createElement(
                  ToggleButton,
                  {
                    left: true,
                    group: 'align',
                    defaultChecked: 'true'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M4 16.5H13' }),
                    React.createElement('path', { d: 'M4 12.5H21' }),
                    React.createElement('path', { d: 'M4 8.5H13' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    middle: true,
                    group: 'align'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M8 16.5H17' }),
                    React.createElement('path', { d: 'M4 12.5H21' }),
                    React.createElement('path', { d: 'M8 8.5H17' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    middle: true,
                    group: 'align'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M12 16.5H21' }),
                    React.createElement('path', { d: 'M4 12.5H21' }),
                    React.createElement('path', { d: 'M12 8.5H21' })
                  )
                ),
                React.createElement(
                  ToggleButton,
                  {
                    right: true,
                    group: 'align'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: {
                        display: 'block'
                      }
                    },
                    React.createElement('path', { d: 'M4 16.5H21' }),
                    React.createElement('path', { d: 'M4 12.5H21' }),
                    React.createElement('path', { d: 'M4 8.5H21' })
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                PillTab,
                { left: true, disabled: true },
                'Theme'
              ),
              React.createElement(
                PillTab,
                { middle: true, active: true },
                'Editor'
              ),
              React.createElement(
                PillTab,
                { right: true },
                'Composer'
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Table,
                null,
                React.createElement(
                  Text,
                  { size3: true, as: 'caption' },
                  'This is a table caption'
                ),
                React.createElement(
                  'thead',
                  null,
                  React.createElement(
                    'tr',
                    null,
                    React.createElement(
                      'th',
                      null,
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Movie'
                      )
                    ),
                    React.createElement(
                      'th',
                      null,
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Movie'
                      )
                    ),
                    React.createElement(
                      'th',
                      null,
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Movie'
                      )
                    ),
                    React.createElement(
                      'th',
                      null,
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Movie'
                      )
                    ),
                    React.createElement(
                      'th',
                      null,
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Movie'
                      )
                    )
                  )
                ),
                React.createElement(
                  'tbody',
                  null,
                  React.createElement(
                    'tr',
                    null,
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Harry Potter and the Deathly Hallows\u2014Part 2'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    )
                  ),
                  React.createElement(
                    'tr',
                    null,
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Harry Potter and the Deathly Hallows\u2014Part 2'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    ),
                    React.createElement(
                      'td',
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Orange'
                      )
                    )
                  )
                ),
                React.createElement('tfoot', null)
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  ai_center: true
                },
                React.createElement(
                  GhostButton,
                  null,
                  React.createElement(
                    'svg',
                    {
                      width: '15',
                      height: '15',
                      viewBox: '0 0 15 15',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: { display: 'block' }
                    },
                    React.createElement('path', { d: 'M5 0L0 4L5 8', transform: 'translate(2.5 3.5)', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                    React.createElement('path', { d: 'M0 0H10', transform: 'translate(2.5 7.5)', strokeLinecap: 'round' })
                  )
                ),
                React.createElement(
                  GhostButton,
                  {
                    size2: true
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '25',
                      height: '25',
                      viewBox: '0 0 25 25',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: { display: 'block' }
                    },
                    React.createElement('path', { d: 'M7.5 4.5V20.5L12.5 16.5L17.5 20.5V4.5H7.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                    React.createElement('path', { d: 'M7 6.5H15' })
                  )
                )
              ),
              React.createElement(
                Flexbox,
                {
                  ai_center: true,
                  mt_6: true
                },
                React.createElement(
                  GhostButton,
                  {
                    padded: true
                  },
                  React.createElement(
                    Box,
                    {
                      mr_1: true
                    },
                    React.createElement(
                      'svg',
                      {
                        width: '15',
                        height: '15',
                        viewBox: '0 0 15 15',
                        fill: 'none',
                        stroke: 'currentColor',
                        xmlns: 'http://www.w3.org/2000/svg',
                        style: { display: 'block' }
                      },
                      React.createElement('path', { d: 'M5 0L0 4L5 8', transform: 'translate(2.5 3.5)', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                      React.createElement('path', { d: 'M0 0H10', transform: 'translate(2.5 7.5)', strokeLinecap: 'round' })
                    )
                  ),
                  'Button'
                ),
                React.createElement(
                  GhostButton,
                  {
                    padded: true,
                    size2: true
                  },
                  React.createElement(
                    Box,
                    {
                      mr_1: true
                    },
                    React.createElement(
                      'svg',
                      {
                        width: '25',
                        height: '25',
                        viewBox: '0 0 25 25',
                        fill: 'none',
                        stroke: 'currentColor',
                        xmlns: 'http://www.w3.org/2000/svg',
                        style: { display: 'block' }
                      },
                      React.createElement('path', { d: 'M7.5 4.5V20.5L12.5 16.5L17.5 20.5V4.5H7.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                      React.createElement('path', { d: 'M7 6.5H15' })
                    )
                  ),
                  'Bookmark'
                )
              ),
              React.createElement(
                Flexbox,
                {
                  ai_center: true,
                  mt_6: true
                },
                React.createElement(
                  GhostButton,
                  {
                    padded: true,
                    active: true,
                    size2: true
                  },
                  React.createElement(
                    Box,
                    {
                      mr_1: true
                    },
                    React.createElement(
                      'svg',
                      {
                        width: '25',
                        height: '25',
                        viewBox: '0 0 25 25',
                        fill: 'none',
                        stroke: 'currentColor',
                        xmlns: 'http://www.w3.org/2000/svg',
                        style: { display: 'block' }
                      },
                      React.createElement('path', { d: 'M7.5 4.5V20.5L12.5 16.5L17.5 20.5V4.5H7.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                      React.createElement('path', { d: 'M7 6.5H15' })
                    )
                  ),
                  'Bookmark'
                ),
                React.createElement(
                  GhostButton,
                  {
                    padded: true,
                    disabled: true,
                    size2: true
                  },
                  React.createElement(
                    Box,
                    {
                      mr_1: true
                    },
                    React.createElement(
                      'svg',
                      {
                        width: '25',
                        height: '25',
                        viewBox: '0 0 25 25',
                        fill: 'none',
                        stroke: 'currentColor',
                        xmlns: 'http://www.w3.org/2000/svg',
                        style: { display: 'block' }
                      },
                      React.createElement('path', { d: 'M7.5 4.5V20.5L12.5 16.5L17.5 20.5V4.5H7.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                      React.createElement('path', { d: 'M7 6.5H15' })
                    )
                  ),
                  'Bookmark'
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                null,
                React.createElement(
                  CheckboxButton,
                  {
                    defaultChecked: 'true'
                  },
                  React.createElement(
                    'svg',
                    {
                      width: '15',
                      height: '15',
                      viewBox: '0 0 15 15',
                      fill: 'none',
                      stroke: 'currentColor',
                      xmlns: 'http://www.w3.org/2000/svg',
                      style: { display: 'block' }
                    },
                    React.createElement('path', { d: 'M5 0L0 4L5 8', transform: 'translate(2.5 3.5)', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                    React.createElement('path', { d: 'M0 0H10', transform: 'translate(2.5 7.5)', strokeLinecap: 'round' })
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  ai_center: true
                },
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Status, null)
                ),
                React.createElement(Status, { size2: true })
              ),
              React.createElement(
                Flexbox,
                {
                  mt_6: true
                },
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Status, {
                    size2: true
                  })
                ),
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Status, {
                    size2: true,
                    blue: true
                  })
                ),
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Status, {
                    size2: true,
                    green: true
                  })
                ),
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Status, {
                    size2: true,
                    yellow: true
                  })
                ),
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Status, {
                    size2: true,
                    red: true
                  })
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mt_6: true
                },
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(
                    Status,
                    {
                      size2: true
                    },
                    '8'
                  )
                ),
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(
                    Status,
                    {
                      size2: true,
                      red: true
                    },
                    '248'
                  )
                ),
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(
                    Status,
                    {
                      size2: true,
                      green: true
                    },
                    '2k+'
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Text,
                { size8: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size7: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size6: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size5: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size4: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size3: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size2: true, mb_3: true },
                'Text'
              ),
              React.createElement(
                Text,
                { size1: true },
                'Text'
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Heading,
                { size6: true, bold: true, mb_3: true },
                'Heading'
              ),
              React.createElement(
                Heading,
                { size5: true, bold: true, mb_3: true },
                'Heading'
              ),
              React.createElement(
                Heading,
                { size4: true, mb_3: true },
                'Heading'
              ),
              React.createElement(
                Heading,
                { size3: true, mb_3: true },
                'Heading'
              ),
              React.createElement(
                Heading,
                { size2: true, mb_3: true },
                'Heading'
              ),
              React.createElement(
                Heading,
                { size1: true },
                'Heading'
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Box,
                {
                  mb_6: true
                },
                React.createElement(
                  Title,
                  { size1: true },
                  'Some heading'
                )
              ),
              React.createElement(
                Box,
                {
                  mb_6: true
                },
                React.createElement(
                  Title,
                  { size2: true },
                  'Some heading'
                )
              ),
              React.createElement(
                Box,
                null,
                React.createElement(
                  Title,
                  { size3: true },
                  'Some heading'
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Badge,
                {
                  gray: true
                },
                'Badge'
              ),
              React.createElement(
                Badge,
                {
                  blue: true
                },
                'Badge'
              ),
              React.createElement(
                Badge,
                {
                  green: true
                },
                'Badge'
              ),
              React.createElement(
                Badge,
                {
                  yellow: true
                },
                'Badge'
              ),
              React.createElement(
                Badge,
                {
                  red: true
                },
                'Badge'
              ),
              React.createElement(
                Badge,
                {
                  size2: true,
                  gray: true
                },
                'Badge'
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                HoverZone,
                null,
                React.createElement(
                  HoverZonePanel,
                  null,
                  React.createElement(
                    GhostButton,
                    null,
                    React.createElement(
                      'svg',
                      {
                        width: '15',
                        height: '15',
                        viewBox: '0 0 15 15',
                        fill: 'none',
                        stroke: 'currentColor',
                        xmlns: 'http://www.w3.org/2000/svg',
                        style: { display: 'block' }
                      },
                      React.createElement('path', { d: 'M5 0L0 4L5 8', transform: 'translate(2.5 3.5)', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                      React.createElement('path', { d: 'M0 0H10', transform: 'translate(2.5 7.5)', strokeLinecap: 'round' })
                    )
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(Image, {
                src: 'https://images.unsplash.com/photo-1534387435-e9ff5846dac5?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=d47fe3447c889fe7857b3d14dd3ce8ad&auto=format&fit=crop&w=802&q=80'
              })
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                AspectRatio,
                null,
                React.createElement(BackgroundImage, {
                  src: 'https://images.unsplash.com/photo-1534387435-e9ff5846dac5?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=d47fe3447c889fe7857b3d14dd3ce8ad&auto=format&fit=crop&w=802&q=80'
                })
              ),
              React.createElement(
                AspectRatio,
                { ratio_169: true },
                React.createElement(BackgroundImage, {
                  src: 'https://images.unsplash.com/photo-1534387435-e9ff5846dac5?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=d47fe3447c889fe7857b3d14dd3ce8ad&auto=format&fit=crop&w=802&q=80'
                })
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(Input, {
                  placeholder: 'Type something...'
                })
              ),
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(Input, {
                  size2: true,
                  placeholder: 'Type something...'
                })
              ),
              React.createElement(
                Box,
                { mb_4: true },
                React.createElement(
                  Box,
                  { position_relative: true },
                  React.createElement(Input, {
                    size2: true,
                    placeholder: 'e.g. joe@example.com',
                    paddedLeft: true,
                    type: 'email'
                  }),
                  React.createElement(
                    Box,
                    { position_absolute: true, height_100: true, width_100: true, color_gray600: true, pe_none: true, top_0: true, left_0: true },
                    React.createElement(
                      Flexbox,
                      { height_100: true, ai_center: true },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '25',
                          height: '25',
                          viewBox: '0 0 25 25',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('path', { d: 'M5 8L12.5 13.5L20 8', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M5 17L10.5 12.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M20 17L14.5 12.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M4.5 8V17C4.5 17.2761 4.72386 17.5 5 17.5H20C20.2761 17.5 20.5 17.2761 20.5 17V8C20.5 7.72386 20.2761 7.5 20 7.5H5C4.72386 7.5 4.5 7.72386 4.5 8Z', strokeLinecap: 'round', strokeLinejoin: 'round' })
                      )
                    )
                  )
                )
              ),
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(
                  Box,
                  { position_relative: true },
                  React.createElement(Input, {
                    size2: true,
                    placeholder: 'Type something...',
                    paddedLeft: true,
                    type: 'password'
                  }),
                  React.createElement(
                    Box,
                    { position_absolute: true, height_100: true, width_100: true, color_gray600: true, pe_none: true, top_0: true, left_0: true },
                    React.createElement(
                      Flexbox,
                      { height_100: true, ai_center: true },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '25',
                          height: '25',
                          viewBox: '0 0 25 25',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('rect', { x: '4.5', y: '11.5', width: '16', height: '9', rx: '1.5' }),
                        React.createElement('path', { d: 'M7.5 9.5C7.5 6.73858 9.73858 4.5 12.5 4.5C15.2614 4.5 17.5 6.73858 17.5 9.5V11.5H7.5V9.5Z' })
                      )
                    )
                  )
                )
              ),
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(
                  Box,
                  { position_relative: true },
                  React.createElement(Input, {
                    placeholder: 'Search...',
                    paddedRight: true
                  }),
                  React.createElement(
                    Box,
                    { position_absolute: true, height_100: true, width_100: true, color_gray600: true, pe_none: true, top_0: true, left_0: true },
                    React.createElement(
                      Flexbox,
                      { height_100: true, ai_center: true, jc_flexend: true },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '15',
                          height: '15',
                          viewBox: '0 0 15 15',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('circle', { cx: '6.5', cy: '6.5', r: '4' }),
                        React.createElement('path', { d: 'M9.85355 9.14645C9.65829 8.95118 9.34171 8.95118 9.14645 9.14645C8.95118 9.34171 8.95118 9.65829 9.14645 9.85355L9.85355 9.14645ZM12.1464 12.8536C12.3417 13.0488 12.6583 13.0488 12.8536 12.8536C13.0488 12.6583 13.0488 12.3417 12.8536 12.1464L12.1464 12.8536ZM9.14645 9.85355L12.1464 12.8536L12.8536 12.1464L9.85355 9.14645L9.14645 9.85355Z', fill: 'currentColor', stroke: 'none' })
                      )
                    )
                  )
                )
              ),
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(Input, {
                  placeholder: 'Type something...',
                  disabled: true
                })
              ),
              React.createElement(
                Box,
                null,
                React.createElement(Input, {
                  placeholder: 'Type something...',
                  readOnly: true,
                  defaultValue: 'This is selectable but not editable'
                })
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(GhostInput, {
                placeholder: 'Type something...',
                defaultValue: 'Ghost input'
              })
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(Textarea, {
                  placeholder: 'Type something...'
                })
              ),
              React.createElement(
                Box,
                null,
                React.createElement(Textarea, {
                  size2: true,
                  placeholder: 'Type something...'
                })
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                'div',
                { style: { width: '100px' } },
                React.createElement(
                  Select,
                  null,
                  React.createElement(
                    'option',
                    null,
                    '342 wfwef wef feew fewfew '
                  ),
                  React.createElement(
                    'option',
                    null,
                    '342'
                  ),
                  React.createElement(
                    'option',
                    null,
                    '342'
                  ),
                  React.createElement(
                    'option',
                    null,
                    '342'
                  ),
                  React.createElement(
                    'option',
                    null,
                    '342'
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Box,
                { mb_6: true },
                React.createElement(
                  LinesButton,
                  { size1: true, gray: true, mr_6: true },
                  'Lines Button'
                ),
                React.createElement(
                  LinesButton,
                  { gray: true, mr_6: true },
                  'Lines Button'
                )
              ),
              React.createElement(
                Box,
                null,
                React.createElement(
                  LinesButton,
                  { blue: true, mr_6: true },
                  'Lines Button'
                ),
                React.createElement(
                  LinesButton,
                  { green: true },
                  'Lines Button'
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(SliderWrapper, { value: 2 })
            ),
            React.createElement(
              'div',
              null,
              React.createElement(Switch, null)
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Text,
                {
                  size4: true,
                  lh_3: true
                },
                'This really long paragraph text has a ',
                React.createElement(
                  Code,
                  null,
                  'piece of code'
                ),
                ' right in the middle of it. The reason the parapgraph is so long is so we can test how the code element affects lines below it.'
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  mt4: true,
                  ai_center: true
                },
                React.createElement(
                  Box,
                  {
                    mr_4: true
                  },
                  React.createElement(Avatar, {
                    url: 'https://images.unsplash.com/photo-1534387435-e9ff5846dac5?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=d47fe3447c889fe7857b3d14dd3ce8ad&auto=format&fit=crop&w=802&q=80',
                    size: '35',
                    initial: 'C',
                    caption: 'Text for screenreader'
                  })
                ),
                React.createElement(
                  Box,
                  null,
                  React.createElement(Avatar, {
                    url: 'https://images.unsplash.com/photo-1534387435-e9ff5846dac5?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=d47fe3447c889fe7857b3d14dd3ce8ad&auto=format&fit=crop&w=802&q=80',
                    size: '35',
                    initial: 'C',
                    caption: 'Text for screenreader'
                  })
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                { fw_wrap: true },
                React.createElement(
                  ToggleButton,
                  {
                    value: 'left',
                    left: true,
                    'data-tooltip-content': 'Align left',
                    'data-tooltip-direction': 'top',
                    'data-tooltip-alignment': 'center'
                  },
                  'ToggleButtun Tooltip Test'
                )
              ),
              React.createElement(
                Flexbox,
                { fw_wrap: true, mt_6: true },
                React.createElement(
                  Button,
                  {
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'top',
                    'data-tooltip-alignment': 'center',
                    mr_6: true
                  },
                  'Tooltip top'
                ),
                React.createElement(
                  Button,
                  {
                    mr_6: true,
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'right',
                    'data-tooltip-alignment': 'center'
                  },
                  'Tooltip right'
                ),
                React.createElement(
                  Button,
                  {
                    mr_6: true,
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'bottom',
                    'data-tooltip-alignment': 'center'
                  },
                  'Tooltip bottom'
                ),
                React.createElement(
                  Button,
                  {
                    mr_6: true,
                    mt_6: true,
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'left',
                    'data-tooltip-alignment': 'center'
                  },
                  'Tooltip left'
                )
              ),
              React.createElement(
                Flexbox,
                { fw_wrap: true, mt_6: true },
                React.createElement(
                  Button,
                  {
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'top',
                    'data-tooltip-alignment': 'start',
                    mr_6: true
                  },
                  'Tooltip start'
                ),
                React.createElement(
                  Button,
                  {
                    mr_6: true,
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'right',
                    'data-tooltip-alignment': 'center'
                  },
                  'Tooltip middle'
                ),
                React.createElement(
                  Button,
                  {
                    mr_6: true,
                    'data-tooltip-content': 'Tooltip content',
                    'data-tooltip-direction': 'bottom',
                    'data-tooltip-alignment': 'end'
                  },
                  'Tooltip end'
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  ai_center: true
                },
                React.createElement(
                  Box,
                  {
                    fg_1: true,
                    mr_4: true
                  },
                  React.createElement(Progress, {
                    size1: true,
                    blue: true,
                    currentValue: '50'
                  })
                ),
                React.createElement(
                  Box,
                  {
                    fg_1: true,
                    mr_4: true
                  },
                  React.createElement(Progress, {
                    size2: true,
                    blue: true,
                    currentValue: '50'
                  })
                ),
                React.createElement(
                  Box,
                  {
                    fg_1: true
                  },
                  React.createElement(Progress, {
                    size3: true,
                    blue: true,
                    currentValue: '50'
                  })
                )
              ),
              React.createElement(
                Flexbox,
                {
                  mt_6: true,
                  ai_center: true
                },
                React.createElement(Progress, {
                  size2: true,
                  blue: true,
                  currentValue: '50'
                })
              ),
              React.createElement(
                Box,
                {
                  mt_6: true,
                  mb2: true
                },
                React.createElement(Progress, {
                  size2: true,
                  blue: true,
                  currentValue: '75'
                })
              ),
              React.createElement(
                Flexbox,
                {
                  ai_baseline: true
                },
                React.createElement(
                  Box,
                  {
                    mr_1: true,
                    fg_1: true
                  },
                  React.createElement(
                    Text,
                    {
                      size2: true,
                      gray600: true
                    },
                    'Uploading 1 / 10'
                  )
                ),
                React.createElement(
                  Box,
                  null,
                  React.createElement(
                    Text,
                    {
                      size2: true,
                      tnum: true
                    },
                    '75%'
                  )
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                null,
                React.createElement(Radio, {
                  defaultChecked: 'true',
                  group: 'whatever' }),
                React.createElement(Radio, {
                  group: 'whatever' })
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                null,
                React.createElement(Checkbox, {
                  defaultChecked: 'true',
                  group: 'hello' })
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Flexbox,
                {
                  ai_center: true
                },
                React.createElement(
                  Box,
                  {
                    mr_3: true
                  },
                  React.createElement(IndicatorButton, {
                    active: true
                  })
                ),
                React.createElement(
                  Box,
                  {
                    mr_3: true
                  },
                  React.createElement(IndicatorButton, null)
                ),
                React.createElement(
                  Box,
                  {
                    mr_3: true
                  },
                  React.createElement(IndicatorButton, null)
                ),
                React.createElement(
                  Box,
                  {
                    mr_3: true
                  },
                  React.createElement(IndicatorButton, null)
                )
              )
            ),
            React.createElement(
              'div',
              null,
              React.createElement(
                Dialog,
                {
                  size2: true,
                  trigger: React.createElement(
                    Button,
                    { ml_2: true, size2: true, blue: true },
                    'Open Dialog'
                  )
                },
                function (_ref2) {
                  var close = _ref2.close;
                  return React.createElement(
                    Flexbox,
                    { fd_column: true, height_100: true },
                    React.createElement(
                      Box,
                      { padding_4: true, fs_0: true },
                      React.createElement(
                        Heading,
                        { size2: true, bold: true },
                        'Heading'
                      )
                    ),
                    React.createElement(
                      Box,
                      { pl_4: true, pr_4: true, oy_auto: true, fg_1: true },
                      React.createElement(
                        Text,
                        { size3: true, lh_2: true },
                        'Absolutely any content can go inside the dialog. No restrictions at all.'
                      )
                    ),
                    React.createElement(
                      Box,
                      { padding_4: true, fs_0: true },
                      React.createElement(
                        Flexbox,
                        { jc_flexend: true },
                        React.createElement(
                          Button,
                          { size2: true, mr_4: true, onClick: close },
                          'Cancel'
                        ),
                        React.createElement(
                          Button,
                          { size2: true, blue: true, onClick: close },
                          'Accept'
                        )
                      )
                    )
                  );
                }
              )
            )
          )
        )
      ),
      React.createElement(
        Section,
        {
          size3: true
        },
        React.createElement(
          Container,
          {
            size2: true
          },
          React.createElement(
            Flexbox,
            { ai_flexstart: true },
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  minWidth: '180px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Text,
                      { size2: true },
                      'First link'
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Text,
                      { size2: true },
                      'Second link'
                    )
                  )
                )
              )
            ),
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  minWidth: '180px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Flexbox,
                      {
                        ai_center: true
                      },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('path', { d: 'M5.5 11.9142V20.5H10.5V15C10.5 14.7239 10.7239 14.5 11 14.5H14C14.2761 14.5 14.5 14.7239 14.5 15V20.5H19.5V11.9142C19.5 11.649 19.3946 11.3946 19.2071 11.2071L12.5 4.5L5.79289 11.2071C5.60536 11.3946 5.5 11.649 5.5 11.9142Z', strokeLinecap: 'round', strokeLinejoin: 'round' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size2: true },
                        'Back to files'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Box,
                      { mr_4: true },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '25',
                          height: '25',
                          viewBox: '0 0 25 25',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                        React.createElement('path', { d: 'M5.5 16C9.875 17.3333 15.125 17.3333 19.5 16', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M5.5 9C10 7.66666 15 7.66667 19.5 9', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M12.5 20.5C6.5 18 6.49999 7 12.5 4.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M12.5 20.5C18.5 18 18.5 7 12.5001 4.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M4.5 12.5H20.5' }),
                        React.createElement('path', { d: 'M12.5 4.5V20.5' })
                      )
                    ),
                    React.createElement(
                      Text,
                      { size2: true },
                      'Medium Partner Program'
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Box,
                      { mr_4: true },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '25',
                          height: '25',
                          viewBox: '0 0 25 25',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('circle', { cx: '12.5', cy: '12.5', r: '3' }),
                        React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                        React.createElement('path', { d: 'M6.5 18.5L10.5 14.5' }),
                        React.createElement('path', { d: 'M14.5 10.5L18.5 6.5' }),
                        React.createElement('path', { d: 'M10.5 10.5L6.5 6.5' }),
                        React.createElement('path', { d: 'M18 18L14.5 14.5' })
                      )
                    ),
                    React.createElement(
                      Text,
                      { size2: true },
                      'Help & Support'
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(Divider, {
                    mt_1: true,
                    mb_1: true
                  })
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Box,
                      { mr_4: true },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '25',
                          height: '25',
                          viewBox: '0 0 25 25',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('rect', { x: '4.5', y: '8.5', width: '16', height: '12', rx: '1.5' }),
                        React.createElement('path', { d: 'M5.5 8C5.5 7.17157 6.17157 6.5 7 6.5H18C18.8284 6.5 19.5 7.17157 19.5 8V8.5H5.5V8Z' }),
                        React.createElement('path', { d: 'M6.5 6C6.5 5.17157 7.17157 4.5 8 4.5H17C17.8284 4.5 18.5 5.17157 18.5 6V6.5H6.5V6Z' }),
                        React.createElement('path', { d: 'M9.5 17.5L15.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                        React.createElement('path', { d: 'M15.5 17.5L9.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                      )
                    ),
                    React.createElement(
                      Text,
                      { size2: true },
                      'Log out'
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(Divider, {
                    mt_1: true,
                    mb_1: true
                  })
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemButton,
                    { pl_8: true },
                    React.createElement(
                      Text,
                      { size2: true },
                      'Log out'
                    )
                  )
                )
              )
            ),
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  width: '300px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemButton,
                    null,
                    React.createElement(
                      Box,
                      null,
                      React.createElement(
                        Box,
                        { mb_1: true },
                        React.createElement(
                          Flexbox,
                          { ai_center: true },
                          React.createElement(
                            Box,
                            { mr_4: true },
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '25',
                                height: '25',
                                viewBox: '0 0 25 25',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('rect', { x: '4.5', y: '8.5', width: '16', height: '12', rx: '1.5' }),
                              React.createElement('path', { d: 'M5.5 8C5.5 7.17157 6.17157 6.5 7 6.5H18C18.8284 6.5 19.5 7.17157 19.5 8V8.5H5.5V8Z' }),
                              React.createElement('path', { d: 'M6.5 6C6.5 5.17157 7.17157 4.5 8 4.5H17C17.8284 4.5 18.5 5.17157 18.5 6V6.5H6.5V6Z' }),
                              React.createElement('path', { d: 'M9.5 17.5L15.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                              React.createElement('path', { d: 'M15.5 17.5L9.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          ),
                          React.createElement(
                            Text,
                            { size3: true, lh_1: true, bold: true },
                            'Log out'
                          )
                        )
                      ),
                      React.createElement(
                        Text,
                        { size2: true, lh_1: true, color_gray600: true, ml_7: true },
                        'How to scale meaningful design in a multi-device world'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemButton,
                    null,
                    React.createElement(
                      Box,
                      null,
                      React.createElement(
                        Box,
                        { mb_1: true },
                        React.createElement(
                          Flexbox,
                          { ai_center: true },
                          React.createElement(
                            Box,
                            { mr_4: true },
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '25',
                                height: '25',
                                viewBox: '0 0 25 25',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('rect', { x: '4.5', y: '8.5', width: '16', height: '12', rx: '1.5' }),
                              React.createElement('path', { d: 'M5.5 8C5.5 7.17157 6.17157 6.5 7 6.5H18C18.8284 6.5 19.5 7.17157 19.5 8V8.5H5.5V8Z' }),
                              React.createElement('path', { d: 'M6.5 6C6.5 5.17157 7.17157 4.5 8 4.5H17C17.8284 4.5 18.5 5.17157 18.5 6V6.5H6.5V6Z' }),
                              React.createElement('path', { d: 'M9.5 17.5L15.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                              React.createElement('path', { d: 'M15.5 17.5L9.5 11.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          ),
                          React.createElement(
                            Text,
                            { size3: true, lh_1: true, bold: true },
                            'Log out'
                          )
                        )
                      ),
                      React.createElement(
                        Text,
                        { size2: true, lh_1: true, color_gray600: true, ml_7: true },
                        'How to scale meaningful design in a multi-device world'
                      )
                    )
                  )
                )
              )
            )
          )
        )
      ),
      React.createElement(
        Section,
        {
          size3: true
        },
        React.createElement(
          Container,
          {
            size2: true
          },
          React.createElement(
            Flexbox,
            { ai_flexstart: true },
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  minWidth: '220px'
                }
              },
              React.createElement(
                List,
                { pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { active: true, href: '#' },
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('rect', { x: '4.5', y: '8.5', width: '16', height: '12', rx: '1.5' }),
                          React.createElement('path', { d: 'M7 6.5H18C18.8284 6.5 19.5 7.17157 19.5 8V8.5H5.5V8C5.5 7.17157 6.17157 6.5 7 6.5Z' }),
                          React.createElement('path', { d: 'M8 4.5H17C17.8284 4.5 18.5 5.17157 18.5 6V6.5H6.5V6C6.5 5.17157 7.17157 4.5 8 4.5Z' }),
                          React.createElement('path', { d: 'M5 9L12.5 15.5L20 9', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                          React.createElement('path', { d: 'M5 20L10.5 14.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                          React.createElement('path', { d: 'M20 20L14.5 14.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Inbox'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('path', { d: 'M7.5 4.5V20.5L12.5 16.5L17.5 20.5V4.5H7.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                          React.createElement('path', { d: 'M7 6.5H15' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true },
                        'Bookmarked'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                          React.createElement('path', { d: 'M13 7.5C13 7.22386 12.7761 7 12.5 7C12.2239 7 12 7.22386 12 7.5H13ZM12.5 12.5H12C12 12.6326 12.0527 12.7598 12.1464 12.8536L12.5 12.5ZM14.1464 14.8536C14.3417 15.0488 14.6583 15.0488 14.8536 14.8536C15.0488 14.6583 15.0488 14.3417 14.8536 14.1464L14.1464 14.8536ZM12 7.5V12.5H13V7.5H12ZM12.1464 12.8536L14.1464 14.8536L14.8536 14.1464L12.8536 12.1464L12.1464 12.8536Z', fill: 'black', stroke: 'none' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true },
                        'Snoozed'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                          React.createElement('path', { d: 'M15.5 9.5L11.5 15.5L9.5 13.456', strokeLinecap: 'round', strokeLinejoin: 'round' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true },
                        'Important'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('path', { d: 'M22.5 12.5L4.5 4.5V11.5L17.5 12.5L4.5 13.5V20.5L22.5 12.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true },
                        'Sent'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    { href: '#' },
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('path', { d: 'M6.5 19.5V5.5C6.5 4.94772 6.94772 4.5 7.5 4.5H13.0858C13.351 4.5 13.6054 4.60536 13.7929 4.79289L18.2071 9.20711C18.3946 9.39464 18.5 9.649 18.5 9.91421V19.5C18.5 20.0523 18.0523 20.5 17.5 20.5H7.5C6.94772 20.5 6.5 20.0523 6.5 19.5Z', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                          React.createElement('path', { d: 'M9.5 16.5H15.5', strokeLinecap: 'round' }),
                          React.createElement('path', { d: 'M9.5 12.5H15.5', strokeLinecap: 'round' }),
                          React.createElement('path', { d: 'M9.5 8.5H10.5', strokeLinecap: 'round' }),
                          React.createElement('path', { d: 'M13.5 5V9.5H18', strokeLinecap: 'round', strokeLinejoin: 'round' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true },
                        'Drafts'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItemLink,
                    null,
                    React.createElement(
                      Flexbox,
                      { ai_center: true },
                      React.createElement(
                        Box,
                        { mr_4: true },
                        React.createElement(
                          'svg',
                          {
                            xmlns: 'http://www.w3.org/2000/svg',
                            width: '25',
                            height: '25',
                            viewBox: '0 0 25 25',
                            fill: 'none',
                            stroke: 'currentColor'
                          },
                          React.createElement('rect', { x: '7.5', y: '8.5', width: '10', height: '12', rx: '0.5', strokeLinecap: 'round', strokeLinejoin: 'bevel' }),
                          React.createElement('rect', { x: '6.5', y: '6.5', width: '12', height: '2', rx: '1' }),
                          React.createElement('path', { d: 'M10.5 4.5H14.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                          React.createElement('path', { d: 'M10.5 11V18' }),
                          React.createElement('path', { d: 'M12.5 11V18' }),
                          React.createElement('path', { d: 'M14.5 11V18' })
                        )
                      ),
                      React.createElement(
                        Text,
                        { size3: true },
                        'Trash'
                      )
                    )
                  )
                )
              )
            ),
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  minWidth: '220px'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(Divider, {
                    mt_1: true,
                    mb_1: true
                  })
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      { active: true },
                      React.createElement(
                        Text,
                        { size3: true, bold: true },
                        'Size 1'
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pr_1: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true,
                          ai_center: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Size 2'
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pr_1: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true,
                          ai_center: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(Divider, {
                    mt_1: true,
                    mb_1: true
                  })
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Left'
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pr_1: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true,
                          ai_center: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      { selected: true },
                      React.createElement(
                        Text,
                        { size3: true },
                        'Middle'
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pr_1: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true,
                          ai_center: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      null,
                      React.createElement(
                        Text,
                        { size3: true },
                        'Right'
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pr_1: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true,
                          ai_center: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                )
              )
            )
          ),
          React.createElement(
            Flexbox,
            { ai_flexstart: true, mt_9: true },
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  maxWidth: '480px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  ListItem,
                  null,
                  React.createElement(
                    Flexbox,
                    { ai_center: true, width_100: true },
                    React.createElement(
                      Box,
                      { mr_2: true },
                      React.createElement(Avatar, {
                        size4: true,
                        url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                        size: '45',
                        initial: 'C',
                        caption: 'Text for screenreader'
                      })
                    ),
                    React.createElement(
                      Box,
                      { fg_1: true },
                      React.createElement(
                        Flexbox,
                        { ai_center: true, jc_spacebetween: true },
                        React.createElement(
                          Flexbox,
                          { ai_baseline: true, mb_1: true },
                          React.createElement(
                            Text,
                            { size2: true, bold: true, mr_1: true },
                            'Colm Tuite'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '@colmtuite'
                          )
                        ),
                        React.createElement(
                          GhostButton,
                          { size1: true, style: { width: '15px', height: '15px' } },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('path', { d: 'M2.5 12.5L12.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                            React.createElement('path', { d: 'M12.5 12.5L2.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                          )
                        )
                      ),
                      React.createElement(
                        Button,
                        { blue: true },
                        'Follow'
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(Divider, {
                    mt_1: true,
                    mb_1: true
                  })
                ),
                React.createElement(
                  ListItem,
                  null,
                  React.createElement(
                    Flexbox,
                    { ai_center: true, width_100: true },
                    React.createElement(
                      Box,
                      { mr_2: true },
                      React.createElement(Avatar, {
                        size4: true,
                        url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                        size: '45',
                        initial: 'C',
                        caption: 'Text for screenreader'
                      })
                    ),
                    React.createElement(
                      Box,
                      { fg_1: true },
                      React.createElement(
                        Flexbox,
                        { ai_center: true, jc_spacebetween: true },
                        React.createElement(
                          Flexbox,
                          { ai_baseline: true, mb_1: true },
                          React.createElement(
                            Text,
                            { size2: true, bold: true, mr_1: true },
                            'Colm Tuite'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '@colmtuite'
                          )
                        ),
                        React.createElement(
                          GhostButton,
                          { size1: true, style: { width: '15px', height: '15px' } },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('path', { d: 'M2.5 12.5L12.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                            React.createElement('path', { d: 'M12.5 12.5L2.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                          )
                        )
                      ),
                      React.createElement(
                        Button,
                        { blue: true },
                        'Follow'
                      )
                    )
                  )
                )
              )
            ),
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  maxWidth: '480px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItem,
                    { pt_2: true, pb_2: true, pl_4: true, pr_4: true, highlighted: true },
                    React.createElement(
                      Flexbox,
                      { ai_center: true, width_100: true },
                      React.createElement(
                        Box,
                        { mr_2: true },
                        React.createElement(Avatar, {
                          size4: true,
                          url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                          size: '45',
                          initial: 'C',
                          caption: 'Text for screenreader'
                        })
                      ),
                      React.createElement(
                        Box,
                        { fg_1: true },
                        React.createElement(
                          Flexbox,
                          { ai_center: true, jc_spacebetween: true },
                          React.createElement(
                            Flexbox,
                            { ai_baseline: true, mb_1: true },
                            React.createElement(
                              Text,
                              { size2: true, bold: true, mr_1: true },
                              'Colm Tuite'
                            ),
                            React.createElement(
                              Text,
                              { size1: true, color_gray600: true },
                              '@colmtuite'
                            )
                          ),
                          React.createElement(
                            GhostButton,
                            { size1: true, style: { width: '15px', height: '15px' } },
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '15',
                                height: '15',
                                viewBox: '0 0 15 15',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('path', { d: 'M2.5 12.5L12.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                              React.createElement('path', { d: 'M12.5 12.5L2.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          )
                        ),
                        React.createElement(
                          Text,
                          { size2: true, lh_1: true, color_gray600: true },
                          'A little message snippet.'
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItem,
                    { pt_2: true, pb_2: true, pl_4: true, pr_4: true },
                    React.createElement(
                      Flexbox,
                      { ai_center: true, width_100: true },
                      React.createElement(
                        Box,
                        { mr_2: true },
                        React.createElement(Avatar, {
                          size4: true,
                          url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                          size: '45',
                          initial: 'C',
                          caption: 'Text for screenreader'
                        })
                      ),
                      React.createElement(
                        Box,
                        { fg_1: true },
                        React.createElement(
                          Flexbox,
                          { ai_center: true, jc_spacebetween: true },
                          React.createElement(
                            Flexbox,
                            { ai_baseline: true, mb_1: true },
                            React.createElement(
                              Text,
                              { size2: true, bold: true, mr_1: true },
                              'Colm Tuite'
                            ),
                            React.createElement(
                              Text,
                              { size1: true, color_gray600: true },
                              '@colmtuite'
                            )
                          ),
                          React.createElement(
                            GhostButton,
                            { size1: true, style: { width: '15px', height: '15px' } },
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '15',
                                height: '15',
                                viewBox: '0 0 15 15',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('path', { d: 'M2.5 12.5L12.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                              React.createElement('path', { d: 'M12.5 12.5L2.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          )
                        ),
                        React.createElement(
                          Text,
                          { size2: true, lh_1: true, color_gray600: true },
                          'A little message snippet.'
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    MenuItem,
                    { pt_2: true, pb_2: true, pl_4: true, pr_4: true },
                    React.createElement(
                      Flexbox,
                      { ai_center: true, width_100: true },
                      React.createElement(
                        Box,
                        { mr_2: true },
                        React.createElement(Avatar, {
                          size4: true,
                          url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                          size: '45',
                          initial: 'C',
                          caption: 'Text for screenreader'
                        })
                      ),
                      React.createElement(
                        Box,
                        { fg_1: true },
                        React.createElement(
                          Flexbox,
                          { ai_center: true, jc_spacebetween: true },
                          React.createElement(
                            Flexbox,
                            { ai_baseline: true, mb_1: true },
                            React.createElement(
                              Text,
                              { size2: true, bold: true, mr_1: true },
                              'Colm Tuite'
                            ),
                            React.createElement(
                              Text,
                              { size1: true, color_gray600: true },
                              '@colmtuite'
                            )
                          ),
                          React.createElement(
                            GhostButton,
                            { size1: true, style: { width: '15px', height: '15px' } },
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '15',
                                height: '15',
                                viewBox: '0 0 15 15',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('path', { d: 'M2.5 12.5L12.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                              React.createElement('path', { d: 'M12.5 12.5L2.5 2.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          )
                        ),
                        React.createElement(
                          Text,
                          { size2: true, lh_1: true, color_gray600: true },
                          'A little message snippet.'
                        )
                      )
                    )
                  )
                )
              )
            ),
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  maxWidth: '480px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      { pt_2: true, pb_2: true, pr_6: true },
                      React.createElement(
                        Flexbox,
                        {
                          ai_flexstart: true
                        },
                        React.createElement(
                          Box,
                          { mr_4: true },
                          React.createElement(Avatar, {
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '35',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Box,
                          null,
                          React.createElement(
                            Box,
                            { mb_1: true },
                            React.createElement(
                              Text,
                              { size3: true, lh_1: true, inline: true },
                              React.createElement(
                                Text,
                                { inline: true, bold: true },
                                'Rick Beato'
                              ),
                              ' ',
                              React.createElement(
                                Text,
                                { color_gray600: true, inline: true },
                                'uploaded:'
                              ),
                              ' What do John Mayer and Kurt Cobain have in common?'
                            )
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '10 hours ago'
                          )
                        ),
                        React.createElement(
                          Box,
                          {
                            mr_4: true,
                            ml_4: true,
                            position_relative: true,
                            overflow_hidden: true,
                            fs_0: true,
                            style: {
                              width: '86px',
                              height: '48px'
                            }
                          },
                          React.createElement(
                            Box,
                            {
                              position_absolute: true,
                              width_100: true,
                              style: {
                                top: '50%',
                                left: '0',
                                transform: 'translateY(-50%)'
                              }
                            },
                            React.createElement(Image, {
                              src: 'https://i.ytimg.com/vi/EJyezLhvtuc/hqdefault.jpg',
                              width: '86',
                              height: '64.5'
                            })
                          )
                        )
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pt_2: true,
                        pr_3: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      { pt_2: true, pb_2: true, pr_6: true },
                      React.createElement(
                        Flexbox,
                        {
                          ai_flexstart: true
                        },
                        React.createElement(
                          Box,
                          { mr_4: true },
                          React.createElement(Avatar, {
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '35',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Box,
                          null,
                          React.createElement(
                            Box,
                            { mb_1: true },
                            React.createElement(
                              Text,
                              { size3: true, lh_1: true, inline: true },
                              React.createElement(
                                Text,
                                { inline: true, bold: true },
                                'Mateus Asato'
                              ),
                              ' ',
                              React.createElement(
                                Text,
                                { color_gray600: true, inline: true },
                                'uploaded:'
                              ),
                              ' A Aquarela De Toquinho'
                            )
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '20 hours ago'
                          )
                        ),
                        React.createElement(
                          Box,
                          {
                            mr_4: true,
                            ml_4: true,
                            position_relative: true,
                            overflow_hidden: true,
                            fs_0: true,
                            style: {
                              width: '86px',
                              height: '48px'
                            }
                          },
                          React.createElement(
                            Box,
                            {
                              position_absolute: true,
                              width_100: true,
                              style: {
                                top: '50%',
                                left: '0',
                                transform: 'translateY(-50%)'
                              }
                            },
                            React.createElement(Image, {
                              src: 'https://i.ytimg.com/vi/EJyezLhvtuc/hqdefault.jpg',
                              width: '86',
                              height: '64.5'
                            })
                          )
                        )
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pt_2: true,
                        pr_3: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  'li',
                  null,
                  React.createElement(
                    HoverZone,
                    null,
                    React.createElement(
                      MenuItem,
                      { pt_2: true, pb_2: true, pr_6: true },
                      React.createElement(
                        Flexbox,
                        {
                          ai_flexstart: true
                        },
                        React.createElement(
                          Box,
                          { mr_4: true },
                          React.createElement(Avatar, {
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '35',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Box,
                          null,
                          React.createElement(
                            Box,
                            { mb_1: true },
                            React.createElement(
                              Text,
                              { size3: true, lh_1: true, inline: true },
                              React.createElement(
                                Text,
                                { inline: true, bold: true },
                                'Doug Polk Poker'
                              ),
                              ' ',
                              React.createElement(
                                Text,
                                { color_gray600: true, inline: true },
                                'uploaded:'
                              ),
                              ' THE CRAZIEST CALL I\'VE EVER SEEN IN POKER'
                            )
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '9 Nov 2018'
                          )
                        ),
                        React.createElement(
                          Box,
                          {
                            mr_4: true,
                            ml_4: true,
                            position_relative: true,
                            overflow_hidden: true,
                            fs_0: true,
                            style: {
                              width: '86px',
                              height: '48px'
                            }
                          },
                          React.createElement(
                            Box,
                            {
                              position_absolute: true,
                              width_100: true,
                              style: {
                                top: '50%',
                                left: '0',
                                transform: 'translateY(-50%)'
                              }
                            },
                            React.createElement(Image, {
                              src: 'https://i.ytimg.com/vi/EJyezLhvtuc/hqdefault.jpg',
                              width: '86',
                              height: '64.5'
                            })
                          )
                        )
                      )
                    ),
                    React.createElement(
                      HoverZonePanel,
                      {
                        position_absolute: true,
                        width_100: true,
                        height_100: true,
                        pt_2: true,
                        pr_3: true,
                        style: {
                          top: '0',
                          left: '0'
                        }
                      },
                      React.createElement(
                        Flexbox,
                        {
                          height_100: true,
                          jc_flexend: true
                        },
                        React.createElement(
                          GhostButton,
                          null,
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'currentColor',
                              stroke: 'none'
                            },
                            React.createElement('circle', { cx: '7.5', cy: '2.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                            React.createElement('circle', { cx: '7.5', cy: '12.5', r: '1.5' })
                          )
                        )
                      )
                    )
                  )
                )
              )
            )
          )
        )
      ),
      React.createElement(
        Section,
        {
          size3: true
        },
        React.createElement(
          Container,
          {
            size2: true
          },
          React.createElement(
            Flexbox,
            { ai_flexstart: true },
            React.createElement(
              Box,
              {
                mr_7: true,
                style: {
                  minWidth: '180px',
                  maxWidth: '400px',
                  boxShadow: '0 7px 30px 0 hsla(208,25%,10%,.2)',
                  borderRadius: '5px',
                  zIndex: '9'
                }
              },
              React.createElement(
                List,
                { pt_1: true, pb_1: true },
                React.createElement(
                  ListItem,
                  {
                    padding_2: true,
                    highlighted: true
                  },
                  React.createElement(
                    Flexbox,
                    {
                      fd_column: true,
                      mr_2: true
                    },
                    React.createElement(
                      GhostButton,
                      {
                        mb_2: true,
                        color_blue500: true
                      },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '15',
                          height: '15',
                          viewBox: '0 0 15 15',
                          fill: 'currentColor',
                          stroke: 'none'
                        },
                        React.createElement('circle', { cx: '7.5', cy: '7.5', r: '6' })
                      )
                    ),
                    React.createElement(
                      GhostButton,
                      null,
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '15',
                          height: '15',
                          viewBox: '0 0 15 15',
                          fill: 'currentColor',
                          stroke: 'none'
                        },
                        React.createElement('circle', { cx: '2.5', cy: '7.5', r: '1.5' }),
                        React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                        React.createElement('circle', { cx: '12.5', cy: '7.5', r: '1.5' })
                      )
                    )
                  ),
                  React.createElement(
                    Box,
                    null,
                    React.createElement(
                      Box,
                      {
                        padding_2: true,
                        bc_gray300: true
                      },
                      React.createElement(
                        Box,
                        {
                          padding_2: true,
                          bc_white: true
                        },
                        React.createElement(
                          Text,
                          {
                            size3: true,
                            lh_1: true
                          },
                          'Editor > Radio groups need a setting so you can turn them off (italics in text)'
                        )
                      )
                    ),
                    React.createElement(
                      Box,
                      {
                        padding_2: true,
                        style: {
                          boxShadow: 'inset 0 0 0 1px rgba(0,0,0,.1)'
                        }
                      },
                      React.createElement(
                        'button',
                        { type: 'submit' },
                        React.createElement(
                          Flexbox,
                          {
                            ai_center: true
                          },
                          React.createElement(
                            Box,
                            { pl_1: true, pr_3: true },
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '15',
                                height: '15',
                                viewBox: '0 0 15 15',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('path', { d: 'M11.5 5.5L7.5 9.5L3.5 5.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          ),
                          React.createElement(
                            Text,
                            { size1: true },
                            'Hide previous card activity'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          mt_2: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(Avatar, {
                            size2: true,
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '25',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Text,
                          { size2: true, bold: true },
                          'Colm Tuite'
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            GhostButton,
                            null,
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '25',
                                height: '25',
                                viewBox: '0 0 25 25',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                              React.createElement('path', { d: 'M13.5 9.5L16.5 12.5L13.5 15.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                              React.createElement('path', { d: 'M8.5 12.5H16.5', strokeLinecap: 'round' })
                            )
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Created card'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:26'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            GhostButton,
                            null,
                            React.createElement(
                              'svg',
                              {
                                xmlns: 'http://www.w3.org/2000/svg',
                                width: '25',
                                height: '25',
                                viewBox: '0 0 25 25',
                                fill: 'none',
                                stroke: 'currentColor'
                              },
                              React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                              React.createElement('path', { d: 'M15.5 9.5L11.5 15.5L9.5 13.456', strokeLinecap: 'round', strokeLinejoin: 'round' })
                            )
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Moved to Editor Radar'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:51'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          mt_2: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(Avatar, {
                            size2: true,
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '25',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Text,
                          { size2: true, bold: true },
                          'Colm Tuite'
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '25',
                              height: '25',
                              viewBox: '0 0 25 25',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                            React.createElement('path', { d: 'M13.5 9.5L16.5 12.5L13.5 15.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                            React.createElement('path', { d: 'M8.5 12.5H16.5', strokeLinecap: 'round' })
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Created card'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:26'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '25',
                              height: '25',
                              viewBox: '0 0 25 25',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                            React.createElement('path', { d: 'M15.5 9.5L11.5 15.5L9.5 13.456', strokeLinecap: 'round', strokeLinejoin: 'round' })
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Moved to Editor Radar'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:51'
                          )
                        )
                      )
                    )
                  )
                ),
                React.createElement(
                  ListItem,
                  {
                    padding_2: true
                  },
                  React.createElement(
                    Flexbox,
                    {
                      fd_column: true,
                      mr_2: true
                    },
                    React.createElement(
                      GhostButton,
                      {
                        mb_2: true
                      },
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '15',
                          height: '15',
                          viewBox: '0 0 15 15',
                          fill: 'none',
                          stroke: 'currentColor'
                        },
                        React.createElement('circle', { cx: '7.5', cy: '7.5', r: '6' }),
                        React.createElement('path', { d: 'M9.5 5.5L6.83333 9.5L5.5 8.13736', strokeLinecap: 'round', strokeLinejoin: 'round' })
                      )
                    ),
                    React.createElement(
                      GhostButton,
                      null,
                      React.createElement(
                        'svg',
                        {
                          xmlns: 'http://www.w3.org/2000/svg',
                          width: '15',
                          height: '15',
                          viewBox: '0 0 15 15',
                          fill: 'currentColor',
                          stroke: 'none'
                        },
                        React.createElement('circle', { cx: '2.5', cy: '7.5', r: '1.5' }),
                        React.createElement('circle', { cx: '7.5', cy: '7.5', r: '1.5' }),
                        React.createElement('circle', { cx: '12.5', cy: '7.5', r: '1.5' })
                      )
                    )
                  ),
                  React.createElement(
                    Box,
                    null,
                    React.createElement(
                      Box,
                      {
                        padding_2: true,
                        bc_gray300: true
                      },
                      React.createElement(
                        Box,
                        {
                          padding_2: true,
                          bc_white: true
                        },
                        React.createElement(
                          Text,
                          {
                            size3: true,
                            lh_1: true
                          },
                          'Editor > Radio groups need a setting so you can turn them off (italics in text)'
                        )
                      )
                    ),
                    React.createElement(
                      Box,
                      {
                        padding_2: true,
                        bc_gray200: true
                      },
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true
                        },
                        React.createElement(
                          Box,
                          { pl_1: true, pr_3: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '15',
                              height: '15',
                              viewBox: '0 0 15 15',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('path', { d: 'M11.5 5.5L7.5 9.5L3.5 5.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
                          )
                        ),
                        React.createElement(
                          Text,
                          { size1: true },
                          'Hide previous card activity'
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          mt_2: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(Avatar, {
                            size2: true,
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '25',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Text,
                          { size2: true, bold: true },
                          'Colm Tuite'
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '25',
                              height: '25',
                              viewBox: '0 0 25 25',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                            React.createElement('path', { d: 'M13.5 9.5L16.5 12.5L13.5 15.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                            React.createElement('path', { d: 'M8.5 12.5H16.5', strokeLinecap: 'round' })
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Created card'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:26'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '25',
                              height: '25',
                              viewBox: '0 0 25 25',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                            React.createElement('path', { d: 'M15.5 9.5L11.5 15.5L9.5 13.456', strokeLinecap: 'round', strokeLinejoin: 'round' })
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Moved to Editor Radar'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:51'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          mt_2: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(Avatar, {
                            size2: true,
                            url: 'https://pbs.twimg.com/profile_images/864164353771229187/Catw6Nmh_400x400.jpg',
                            size: '25',
                            initial: 'C',
                            caption: 'Text for screenreader'
                          })
                        ),
                        React.createElement(
                          Text,
                          { size2: true, bold: true },
                          'Colm Tuite'
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '25',
                              height: '25',
                              viewBox: '0 0 25 25',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                            React.createElement('path', { d: 'M13.5 9.5L16.5 12.5L13.5 15.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
                            React.createElement('path', { d: 'M8.5 12.5H16.5', strokeLinecap: 'round' })
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Created card'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:26'
                          )
                        )
                      ),
                      React.createElement(
                        Flexbox,
                        {
                          ai_center: true,
                          pl_6: true,
                          pt_1: true
                        },
                        React.createElement(
                          Box,
                          { mr_2: true },
                          React.createElement(
                            'svg',
                            {
                              xmlns: 'http://www.w3.org/2000/svg',
                              width: '25',
                              height: '25',
                              viewBox: '0 0 25 25',
                              fill: 'none',
                              stroke: 'currentColor'
                            },
                            React.createElement('circle', { cx: '12.5', cy: '12.5', r: '8' }),
                            React.createElement('path', { d: 'M15.5 9.5L11.5 15.5L9.5 13.456', strokeLinecap: 'round', strokeLinejoin: 'round' })
                          )
                        ),
                        React.createElement(
                          Flexbox,
                          {
                            ai_baseline: true
                          },
                          React.createElement(
                            Text,
                            { size2: true, mr_2: true },
                            'Moved to Editor Radar'
                          ),
                          React.createElement(
                            Text,
                            { size1: true, color_gray600: true },
                            '8 Nov at 21:51'
                          )
                        )
                      )
                    )
                  )
                )
              )
            )
          )
        )
      ),
      React.createElement(DialogRoot, null)
    );
  };

  return _default;
}(Component);

export { _default as default };