'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Container = _styledComponents2.default.div.withConfig({
  displayName: 'Avatar__Container',
  componentId: 'sc-1ug6kto-0'
})(['align-items:center;background-color:', ';box-shadow:inset 0 0 0 1px rgba(0,0,0,.05);border-radius:50%;color:white;display:inline-flex;font-family:', ';flex-shrink:0;justify-content:center;font-weight:500;font-size:', ';text-transform:uppercase;position:relative;width:', ';height:', ';user-select:none;vertical-align:middle;', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], theme.BLUE_500, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_600, theme.SPACING_600, function (props) {
  return props.size1 && (0, _styledComponents.css)(['width:', ';height:', ';'], theme.SPACING_400, theme.SPACING_400);
}, function (props) {
  return props.size2 && (0, _styledComponents.css)(['width:', ';height:', ';'], theme.SPACING_500, theme.SPACING_500);
}, function (props) {
  return props.size3 && (0, _styledComponents.css)(['width:', ';height:', ';'], theme.SPACING_600, theme.SPACING_600);
}, function (props) {
  return props.size4 && (0, _styledComponents.css)(['width:', ';height:', ';'], theme.SPACING_700, theme.SPACING_700);
}, function (props) {
  return props.size5 && (0, _styledComponents.css)(['width:', ';height:', ';'], theme.SPACING_800, theme.SPACING_800);
}, function (props) {
  return props.size6 && (0, _styledComponents.css)(['width:', ';height:', ';'], theme.SPACING_900, theme.SPACING_900);
}, function (props) {
  return props.color && (0, _styledComponents.css)(['&::before{position:absolute;border-radius:50%;top:-2px;left:-2px;content:"";width:calc(100% + 4px);height:calc(100% + 4px);box-shadow:0 0 0 2px ', ';}'], theme.GRAY_400);
}, function (props) {
  return props.blue && (0, _styledComponents.css)(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.BLUE_500);
}, function (props) {
  return props.green && (0, _styledComponents.css)(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.GREEN_500);
}, function (props) {
  return props.yellow && (0, _styledComponents.css)(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.YELLOW_500);
}, function (props) {
  return props.red && (0, _styledComponents.css)(['&::before{box-shadow:0 0 0 2px ', ';}'], theme.RED_500);
}, function (props) {
  return props.inline && (0, _styledComponents.css)(['margin-left:-4px;box-shadow:inset 0 0 0 1px rgba(0,0,0,.05),0 0 0 2px white;']);
}, _Margin2.default);

var Initial = _styledComponents2.default.span.withConfig({
  displayName: 'Avatar__Initial',
  componentId: 'sc-1ug6kto-1'
})(['display:block;text-transform:uppercase;']);

var Image = _styledComponents2.default.img.withConfig({
  displayName: 'Avatar__Image',
  componentId: 'sc-1ug6kto-2'
})(['position:absolute;top:0;left:0;border-radius:50%;display:block;max-width:100%;']);

var Avatar = function Avatar(props) {
  return _react2.default.createElement(
    Container,
    props,
    _react2.default.createElement(
      Initial,
      null,
      props.initial
    ),
    _react2.default.createElement(Image, {
      src: props.url,
      width: props.size,
      height: props.size,
      alt: props.caption
    })
  );
};

exports.default = Avatar;
module.exports = exports['default'];