'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Wrapper = _styledComponents2.default.label.withConfig({
  displayName: 'CheckboxButton__Wrapper',
  componentId: 'v2dwx7-0'
})(['display:block;position:relative;vertical-align:middle;height:', ';width:', ';'], theme.SPACING_300, theme.SPACING_300);

var Checkbox = _styledComponents2.default.input.withConfig({
  displayName: 'CheckboxButton__Checkbox',
  componentId: 'v2dwx7-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{color:', ';}'], theme.BLUE_500);

var Dummy = _styledComponents2.default.div.withConfig({
  displayName: 'CheckboxButton__Dummy',
  componentId: 'v2dwx7-2'
})(['position:absolute;cursor:pointer;top:0;left:0;width:100%;height:100%;align-items:center;display:inline-flex;line-height:1;color:', ';cursor:pointer;flex-shrink:0;justify-content:center;'], theme.GRAY_600);

var CheckboxButton = function CheckboxButton(props) {
  var children = props.children,
      group = props.group,
      nonChildrenProps = _objectWithoutProperties(props, ['children', 'group']);

  return _react2.default.createElement(
    Wrapper,
    nonChildrenProps,
    _react2.default.createElement(Checkbox, _extends({
      type: 'checkbox',
      name: group
    }, nonChildrenProps)),
    _react2.default.createElement(
      Dummy,
      nonChildrenProps,
      children
    )
  );
};

exports.default = CheckboxButton;
module.exports = exports['default'];