'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _DialogProvider = require('./DialogProvider');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /* Libraries */

/* Store */


var Dialog = function Dialog(_ref) {
  var children = _ref.children,
      trigger = _ref.trigger,
      dismissable = _ref.dismissable,
      initiallyActive = _ref.active,
      panelProps = _objectWithoutProperties(_ref, ['children', 'trigger', 'dismissable', 'active']);

  var _useContext = (0, _react.useContext)(_DialogProvider.DialogContext),
      dispatch = _useContext.dispatch;

  var openDialog = function openDialog() {
    return dispatch({
      type: _DialogProvider.Actions.OPEN,
      dialog: { children: children, dismissable: dismissable, panelProps: panelProps }
    });
  };

  if (initiallyActive) {
    openDialog();
  }

  return _react2.default.createElement(
    'span',
    { onClick: openDialog },
    trigger
  );
};

Dialog.propTypes = process.env.NODE_ENV !== "production" ? {
  // Whether or not the dialog can be dismissed without manually calling the provided close() function
  dismissable: _propTypes2.default.bool,
  // Whether or not the dialog is initially rendered as active
  active: _propTypes2.default.bool,
  // The trigger to render that will open this dialog on click
  trigger: _propTypes2.default.oneOfType([_propTypes2.default.arrayOf(_propTypes2.default.node), _propTypes2.default.node]).isRequired
} : {};

Dialog.defaultProps = {
  dismissable: true,
  active: false
};

exports.default = Dialog;
module.exports = exports['default'];