'use strict';

exports.__esModule = true;
exports.Actions = exports.DialogContext = exports.DialogProvider = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* Libaries */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* Component */
var DialogContext = (0, _react.createContext)();

var initialState = {
  dialogs: [],
  closing: false
};

var Actions = {
  OPEN: 'OPEN',
  BEGIN_CLOSING: 'BEGIN_CLOSING',
  CLOSE: 'CLOSE'
};

var reducer = function reducer(state, action) {
  switch (action.type) {
    case Actions.OPEN:
      return _extends({}, state, {
        closing: false,
        dialogs: [action.dialog].concat(state.dialogs)
      });
    case Actions.BEGIN_CLOSING:
      return _extends({}, state, {
        closing: true
      });
    case Actions.CLOSE:
      return _extends({}, state, {
        closing: false,
        dialogs: state.dialogs.filter(function (dialog) {
          return dialog !== action.dialog;
        })
      });
    default:
      return state;
  }
};

var DialogProvider = function DialogProvider(_ref) {
  var children = _ref.children;

  var _useReducer = (0, _react.useReducer)(reducer, initialState),
      state = _useReducer[0],
      dispatch = _useReducer[1];

  return _react2.default.createElement(
    DialogContext.Provider,
    { value: { state: state, dispatch: dispatch } },
    children
  );
};

exports.DialogProvider = DialogProvider;
exports.DialogContext = DialogContext;
exports.Actions = Actions;