'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Box = require('./Box.js');

var _Box2 = _interopRequireDefault(_Box);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var flexboxPropsKeys = ['fd_row', 'fd_column', 'fd_row_reverse', 'fd_column_reverse', 'fw_wrap', 'fd_nowrap', 'ai_baseline', 'ai_center', 'ai_stretch', 'ai_flexstart', 'ai_flexend', 'jc_center', 'jc_spacebetween', 'jc_spacearound', 'jc_flexstart', 'jc_flexend'];
var Flexbox = (0, _styledComponents2.default)(_Box2.default).withConfig({
  displayName: 'Flexbox',
  componentId: 'sc-184bjtk-0'
})(['display:flex;', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (p) {
  return p.fd_row && (0, _styledComponents.css)([' flex-direction:row;']);
}, function (p) {
  return p.fd_column && (0, _styledComponents.css)([' flex-direction:column;']);
}, function (p) {
  return p.fd_row_reverse && (0, _styledComponents.css)([' flex-direction:row-reverse;']);
}, function (p) {
  return p.fd_column_reverse && (0, _styledComponents.css)([' flex-direction:column-reverse;']);
}, function (p) {
  return p.fw_wrap && (0, _styledComponents.css)([' flex-wrap:wrap;']);
}, function (p) {
  return p.fw_nowrap && (0, _styledComponents.css)([' flex-wrap:nowrap;']);
}, function (p) {
  return p.ai_baseline && (0, _styledComponents.css)([' align-items:baseline;']);
}, function (p) {
  return p.ai_center && (0, _styledComponents.css)([' align-items:center;']);
}, function (p) {
  return p.ai_stretch && (0, _styledComponents.css)([' align-items:stretch;']);
}, function (p) {
  return p.ai_flexstart && (0, _styledComponents.css)([' align-items:flex-start;']);
}, function (p) {
  return p.ai_flexend && (0, _styledComponents.css)([' align-items:flex-end;']);
}, function (p) {
  return p.jc_center && (0, _styledComponents.css)([' justify-content:center;']);
}, function (p) {
  return p.jc_spacebetween && (0, _styledComponents.css)([' justify-content:space-between;']);
}, function (p) {
  return p.jc_spacearound && (0, _styledComponents.css)([' justify-content:space-around;']);
}, function (p) {
  return p.jc_flexstart && (0, _styledComponents.css)([' justify-content:flex-start;']);
}, function (p) {
  return p.jc_flexend && (0, _styledComponents.css)([' justify-content:flex-end;']);
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, function (p) {
    return p.bp1_fd_row && (0, _styledComponents.css)([' flex-direction:row;']);
  }, function (p) {
    return p.bp1_fd_column && (0, _styledComponents.css)([' flex-direction:column;']);
  }, function (p) {
    return p.bp1_fd_row_reverse && (0, _styledComponents.css)([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp1_fd_column_reverse && (0, _styledComponents.css)([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp1_fw_wrap && (0, _styledComponents.css)([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp1_fw_nowrap && (0, _styledComponents.css)([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp1_ai_baseline && (0, _styledComponents.css)([' align-items:baseline;']);
  }, function (p) {
    return p.bp1_ai_center && (0, _styledComponents.css)([' align-items:center;']);
  }, function (p) {
    return p.bp1_ai_stretch && (0, _styledComponents.css)([' align-items:stretch;']);
  }, function (p) {
    return p.bp1_ai_flexstart && (0, _styledComponents.css)([' align-items:flex-start;']);
  }, function (p) {
    return p.bp1_ai_flexend && (0, _styledComponents.css)([' align-items:flex-end;']);
  }, function (p) {
    return p.bp1_jc_center && (0, _styledComponents.css)([' justify-content:center;']);
  }, function (p) {
    return p.bp1_jc_spacebetween && (0, _styledComponents.css)([' justify-content:space-between;']);
  }, function (p) {
    return p.bp1_jc_spacearound && (0, _styledComponents.css)([' justify-content:space-around;']);
  }, function (p) {
    return p.bp1_jc_flexstart && (0, _styledComponents.css)([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp1_jc_flexend && (0, _styledComponents.css)([' justify-content:flex-end;']);
  });
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, function (p) {
    return p.bp2_fd_row && (0, _styledComponents.css)([' flex-direction:row;']);
  }, function (p) {
    return p.bp2_fd_column && (0, _styledComponents.css)([' flex-direction:column;']);
  }, function (p) {
    return p.bp2_fd_row_reverse && (0, _styledComponents.css)([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp2_fd_column_reverse && (0, _styledComponents.css)([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp2_fw_wrap && (0, _styledComponents.css)([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp2_fw_nowrap && (0, _styledComponents.css)([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp2_ai_baseline && (0, _styledComponents.css)([' align-items:baseline;']);
  }, function (p) {
    return p.bp2_ai_center && (0, _styledComponents.css)([' align-items:center;']);
  }, function (p) {
    return p.bp2_ai_stretch && (0, _styledComponents.css)([' align-items:stretch;']);
  }, function (p) {
    return p.bp2_ai_flexstart && (0, _styledComponents.css)([' align-items:flex-start;']);
  }, function (p) {
    return p.bp2_ai_flexend && (0, _styledComponents.css)([' align-items:flex-end;']);
  }, function (p) {
    return p.bp2_jc_center && (0, _styledComponents.css)([' justify-content:center;']);
  }, function (p) {
    return p.bp2_jc_spacebetween && (0, _styledComponents.css)([' justify-content:space-between;']);
  }, function (p) {
    return p.bp2_jc_spacearound && (0, _styledComponents.css)([' justify-content:space-around;']);
  }, function (p) {
    return p.bp2_jc_flexstart && (0, _styledComponents.css)([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp2_jc_flexend && (0, _styledComponents.css)([' justify-content:flex-end;']);
  });
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, function (p) {
    return p.bp3_fd_row && (0, _styledComponents.css)([' flex-direction:row;']);
  }, function (p) {
    return p.bp3_fd_column && (0, _styledComponents.css)([' flex-direction:column;']);
  }, function (p) {
    return p.bp3_fd_row_reverse && (0, _styledComponents.css)([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp3_fd_column_reverse && (0, _styledComponents.css)([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp3_fw_wrap && (0, _styledComponents.css)([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp3_fw_nowrap && (0, _styledComponents.css)([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp3_ai_baseline && (0, _styledComponents.css)([' align-items:baseline;']);
  }, function (p) {
    return p.bp3_ai_center && (0, _styledComponents.css)([' align-items:center;']);
  }, function (p) {
    return p.bp3_ai_stretch && (0, _styledComponents.css)([' align-items:stretch;']);
  }, function (p) {
    return p.bp3_ai_flexstart && (0, _styledComponents.css)([' align-items:flex-start;']);
  }, function (p) {
    return p.bp3_ai_flexend && (0, _styledComponents.css)([' align-items:flex-end;']);
  }, function (p) {
    return p.bp3_jc_center && (0, _styledComponents.css)([' justify-content:center;']);
  }, function (p) {
    return p.bp3_jc_spacebetween && (0, _styledComponents.css)([' justify-content:space-between;']);
  }, function (p) {
    return p.bp3_jc_spacearound && (0, _styledComponents.css)([' justify-content:space-around;']);
  }, function (p) {
    return p.bp3_jc_flexstart && (0, _styledComponents.css)([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp3_jc_flexend && (0, _styledComponents.css)([' justify-content:flex-end;']);
  });
}, function (p) {
  return flexboxPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, function (p) {
    return p.bp4_fd_row && (0, _styledComponents.css)([' flex-direction:row;']);
  }, function (p) {
    return p.bp4_fd_column && (0, _styledComponents.css)([' flex-direction:column;']);
  }, function (p) {
    return p.bp4_fd_row_reverse && (0, _styledComponents.css)([' flex-direction:row-reverse;']);
  }, function (p) {
    return p.bp4_fd_column_reverse && (0, _styledComponents.css)([' flex-direction:column-reverse;']);
  }, function (p) {
    return p.bp4_fw_wrap && (0, _styledComponents.css)([' flex-wrap:wrap;']);
  }, function (p) {
    return p.bp4_fw_nowrap && (0, _styledComponents.css)([' flex-wrap:nowrap;']);
  }, function (p) {
    return p.bp4_ai_baseline && (0, _styledComponents.css)([' align-items:baseline;']);
  }, function (p) {
    return p.bp4_ai_center && (0, _styledComponents.css)([' align-items:center;']);
  }, function (p) {
    return p.bp4_ai_stretch && (0, _styledComponents.css)([' align-items:stretch;']);
  }, function (p) {
    return p.bp4_ai_flexstart && (0, _styledComponents.css)([' align-items:flex-start;']);
  }, function (p) {
    return p.bp4_ai_flexend && (0, _styledComponents.css)([' align-items:flex-end;']);
  }, function (p) {
    return p.bp4_jc_center && (0, _styledComponents.css)([' justify-content:center;']);
  }, function (p) {
    return p.bp4_jc_spacebetween && (0, _styledComponents.css)([' justify-content:space-between;']);
  }, function (p) {
    return p.bp4_jc_spacearound && (0, _styledComponents.css)([' justify-content:space-around;']);
  }, function (p) {
    return p.bp4_jc_flexstart && (0, _styledComponents.css)([' justify-content:flex-start;']);
  }, function (p) {
    return p.bp4_jc_flexend && (0, _styledComponents.css)([' justify-content:flex-end;']);
  });
});

exports.default = Flexbox;
module.exports = exports['default'];