'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _Color = require('./../utilities/Color');

var _Color2 = _interopRequireDefault(_Color);

var _Margin = require('./../utilities/Margin');

var _Margin2 = _interopRequireDefault(_Margin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GhostButton = _styledComponents2.default.button.attrs({
  type: 'button'
}).withConfig({
  displayName: 'GhostButton',
  componentId: 'sc-1w6q15b-0'
})(['align-items:center;appearance:none;background-color:transparent;border:none;border-radius:50%;color:', ';cursor:pointer;display:inline-flex;flex-shrink:0;font-family:', ';font-size:', ';font-weight:500;height:', ';justify-content:center;line-height:1;min-width:', ';outline:none;padding:0;position:relative;text-align:center;text-decoration:none;user-select:none;vertical-align:middle;white-space:nowrap;&:hover{background-color:', ';}&:focus{box-shadow:inset 0 0 0 1px ', ';}&:active{background-color:', ';box-shadow:none;}&:disabled{color:', ';cursor:not-allowed;pointer-events:none;}', ' ', ' ', ' ', ' ', ''], theme.GRAY_600, theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.SPACING_500, theme.SPACING_500, theme.GRAY_200, theme.BLUE_500, theme.GRAY_300, theme.GRAY_500, function (p) {
  return p.active && (0, _styledComponents.css)(['background-color:', ';box-shadow:inset 0 1px 0 0 ', ';&:hover{background-color:', ';}&:active{box-shadow:inset 0 1px 0 0 ', ';}'], theme.GRAY_300, theme.GRAY_500, theme.GRAY_300, theme.GRAY_500);
}, function (p) {
  return p.padded && (0, _styledComponents.css)(['border-radius:9999px;padding:0 ', ';'], theme.SPACING_200);
}, function (p) {
  return p.size2 && (0, _styledComponents.css)(['font-size:', ';height:', ';min-width:', ';'], theme.FONTSIZE_400, theme.SPACING_600, theme.SPACING_600);
}, _Color2.default, _Margin2.default);

GhostButton.propTypes = {
  mode: _propTypes2.default.oneOf(['size1', 'size2'])
};

GhostButton.defaultProps = {
  size: 'size2'
};

exports.default = GhostButton;
module.exports = exports['default'];