'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Wrapper = _styledComponents2.default.label.withConfig({
  displayName: 'Radio__Wrapper',
  componentId: 'ddyz20-0'
})(['position:relative;display:inline-flex;width:', ';height:', ';vertical-align:middle;border-radius:50%;align-items:center;justify-content:center;box-shadow:inset 0 0 0 1px ', ';cursor:pointer;&:hover{box-shadow:inset 0 0 0 1px ', ';}'], theme.SPACING_400, theme.SPACING_400, theme.GRAY_400, theme.GRAY_500);

var Input = _styledComponents2.default.input.withConfig({
  displayName: 'Radio__Input',
  componentId: 'ddyz20-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{background-color:', ';}'], theme.BLUE_500);

var Dummy = _styledComponents2.default.div.withConfig({
  displayName: 'Radio__Dummy',
  componentId: 'ddyz20-2'
})(['position:absolute;top:50%;left:50%;width:', ';height:', ';border-radius:50%;transform:translateX(-50%) translateY(-50%);'], theme.SPACING_200, theme.SPACING_200);

var Radio = function Radio(_ref) {
  var group = _ref.group,
      onClick = _ref.onClick,
      onChange = _ref.onChange,
      otherProps = _objectWithoutProperties(_ref, ['group', 'onClick', 'onChange']);

  return _react2.default.createElement(
    Wrapper,
    null,
    _react2.default.createElement(Input, _extends({}, otherProps, {
      type: 'radio',
      name: group,
      onClick: onClick,
      onChange: onChange
    })),
    _react2.default.createElement(Dummy, otherProps)
  );
};

exports.default = Radio;
module.exports = exports['default'];