'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

var _BackgroundColor = require('./../utilities/BackgroundColor');

var _BackgroundColor2 = _interopRequireDefault(_BackgroundColor);

var _NegativeMargin = require('./../utilities/NegativeMargin');

var _NegativeMargin2 = _interopRequireDefault(_NegativeMargin);

var _Position = require('./../utilities/Position');

var _Position2 = _interopRequireDefault(_Position);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sectionPropsKeys = ['size1', 'size2', 'size3', 'expanded'];
var Section = _styledComponents2.default.section.withConfig({
  displayName: 'Section',
  componentId: 'sc-1yqwroa-0'
})(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], function (props) {
  return props.size1 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
}, function (props) {
  return props.size2 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
}, function (props) {
  return props.size3 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
}, function (props) {
  return props.expanded && (0, _styledComponents.css)(['height:100vh;']);
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp1_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, function (props) {
    return props.bp1_size1 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp1_size2 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp1_size3 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp1_expanded && (0, _styledComponents.css)(['height:100vh;']);
  });
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp2_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, function (props) {
    return props.bp2_size1 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp2_size2 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp2_size3 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp2_expanded && (0, _styledComponents.css)(['height:100vh;']);
  });
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp3_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, function (props) {
    return props.bp3_size1 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp3_size2 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp3_size3 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp3_expanded && (0, _styledComponents.css)(['height:100vh;']);
  });
}, function (props) {
  return sectionPropsKeys.some(function (prop) {
    return props['bp4_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, function (props) {
    return props.bp4_size1 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_400, theme.SPACING_400);
  }, function (props) {
    return props.bp4_size2 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_600, theme.SPACING_600);
  }, function (props) {
    return props.bp4_size3 && (0, _styledComponents.css)(['padding-bottom:', ';padding-top:', ';'], theme.SPACING_900, theme.SPACING_900);
  }, function (props) {
    return props.bp4_expanded && (0, _styledComponents.css)(['height:100vh;']);
  });
}, _BackgroundColor2.default, _NegativeMargin2.default, _Position2.default);

Section.propTypes = {
  mode: _propTypes2.default.oneOf(['size1', 'size2', 'size3'])
};

exports.default = Section;
module.exports = exports['default'];