'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = _styledComponents2.default.div.withConfig({
  displayName: 'Select__Wrapper',
  componentId: 'sc-1o9w4r-0'
})(['position:relative;box-shadow:inset 0 -1px 0 0 ', ';'], theme.GRAY_400);

var Menu = _styledComponents2.default.select.withConfig({
  displayName: 'Select__Menu',
  componentId: 'sc-1o9w4r-1'
})(['appearance:none;background-color:transparent;height:', ';line-height:', ';font-family:inherit;padding:0;font-size:', ';border-radius:0;padding-right:', ';border:none;outline:none;width:100%;'], theme.SPACING_500, theme.SPACING_500, theme.FONTSIZE_300, theme.SPACING_300);

var IconContainer = _styledComponents2.default.div.withConfig({
  displayName: 'Select__IconContainer',
  componentId: 'sc-1o9w4r-2'
})(['position:absolute;top:0;left:0;width:100%;height:100%;display:flex;align-items:center;justify-content:flex-end;pointer-events:none;']);

var Select = function Select(props) {
  return _react2.default.createElement(
    Wrapper,
    null,
    _react2.default.createElement(
      Menu,
      props,
      props.children
    ),
    _react2.default.createElement(
      IconContainer,
      null,
      _react2.default.createElement(
        'svg',
        {
          xmlns: 'http://www.w3.org/2000/svg',
          width: '15',
          height: '15',
          viewBox: '0 0 15 15',
          fill: 'none',
          stroke: 'currentColor',
          style: {
            display: 'block'
          }
        },
        _react2.default.createElement('path', { d: 'M14.5 5.5L12.5 3.5L10.5 5.5', strokeLinecap: 'round', strokeLinejoin: 'round' }),
        _react2.default.createElement('path', { d: 'M14.5 9.5L12.5 11.5L10.5 9.5', strokeLinecap: 'round', strokeLinejoin: 'round' })
      )
    )
  );
};

exports.default = Select;
module.exports = exports['default'];