'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Wrapper = _styledComponents2.default.label.withConfig({
  displayName: 'ToggleButton__Wrapper',
  componentId: 'sc-148qw9x-0'
})(['display:block;flex-basis:0;flex-grow:1;height:', ';min-width:', ';position:relative;vertical-align:middle;', ' ', ' ', ''], theme.SPACING_500, theme.SPACING_500, function (p) {
  return p.left && (0, _styledComponents.css)(['&:hover{z-index:3;}']);
}, function (p) {
  return p.middle && (0, _styledComponents.css)(['margin-left:-1px;z-index:1;&:hover{z-index:3;}']);
}, function (p) {
  return p.right && (0, _styledComponents.css)(['margin-left:-1px;z-index:0;&:hover{z-index:3;}']);
});

var Radio = _styledComponents2.default.input.withConfig({
  displayName: 'ToggleButton__Radio',
  componentId: 'sc-148qw9x-1'
})(['position:absolute;opacity:0;z-index:-1;&:checked + div{background-color:', ';box-shadow:inset 0 0 0 1px ', ';color:', ';cursor:default;z-index:3;}'], theme.BLUE_100, theme.BLUE_300, theme.BLUE_600);

var Dummy = _styledComponents2.default.div.withConfig({
  displayName: 'ToggleButton__Dummy',
  componentId: 'sc-148qw9x-2'
})(['position:absolute;cursor:pointer;top:0;left:0;width:100%;height:100%;align-items:center;display:inline-flex;font-family:', ';font-size:', ';font-weight:500;line-height:1;white-space:nowrap;appearance:none;box-shadow:inset 0 0 0 1px ', ';border:none;color:', ';cursor:pointer;flex-shrink:0;justify-content:center;outline:none;user-select:none;&:hover{box-shadow:inset 0 0 0 1px ', ';}', ' ', ''], theme.UNTITLEDSANSMEDIUM, theme.FONTSIZE_300, theme.GRAY_400, theme.GRAY_600, theme.GRAY_500, function (p) {
  return p.left && (0, _styledComponents.css)(['border-radius:', ' 0 0 ', ';'], theme.BORDERRADIUS_100, theme.BORDERRADIUS_100);
}, function (p) {
  return p.right && (0, _styledComponents.css)(['border-radius:0 ', ' ', ' 0;'], theme.BORDERRADIUS_100, theme.BORDERRADIUS_100);
});

var ToggleButton = function ToggleButton(_ref) {
  var children = _ref.children,
      group = _ref.group,
      onClick = _ref.onClick,
      onChange = _ref.onChange,
      dataTooltipContent = _ref['data-tooltip-content'],
      dataTooltipDirection = _ref['data-tooltip-direction'],
      dataTooltipAlignment = _ref['data-tooltip-alignment'],
      otherProps = _objectWithoutProperties(_ref, ['children', 'group', 'onClick', 'onChange', 'data-tooltip-content', 'data-tooltip-direction', 'data-tooltip-alignment']);

  return _react2.default.createElement(
    Wrapper,
    otherProps,
    _react2.default.createElement(Radio, _extends({}, otherProps, {
      type: 'radio',
      name: group,
      onClick: onClick,
      onChange: onChange
    })),
    _react2.default.createElement(
      Dummy,
      _extends({}, otherProps, {
        'data-tooltip-content': dataTooltipContent,
        'data-tooltip-direction': dataTooltipDirection,
        'data-tooltip-alignment': dataTooltipAlignment
      }),
      children
    )
  );
};

exports.default = ToggleButton;
module.exports = exports['default'];