"use strict";

exports.__esModule = true;

var _styledComponents = require("styled-components");

var _theme = require("./../theme/");

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var colorPropsKeys = ['color_white', 'color_black', 'color_gray500', 'color_gray600', 'color_gray900', 'color_blue500'];

var Color = function Color(p) {
  return (0, _styledComponents.css)(["", " ", " ", " ", " ", " ", " ", " ", " ", " ", ""], p.color_white && "color: " + theme.WHITE + ";", p.color_black && "color: " + theme.BLACK + ";", p.color_gray500 && "color: " + theme.GRAY_500 + ";", p.color_gray600 && "color: " + theme.GRAY_600 + ";", p.color_gray900 && "color: " + theme.GRAY_900 + ";", p.color_blue500 && "color: " + theme.BLUE_500 + ";", colorPropsKeys.some(function (prop) {
    return p["bp1_" + prop];
  }) && "\n    @media (min-width: " + theme.BREAKPOINT_100 + ") {\n      " + (p.bp1_color_white && "color: " + theme.WHITE + ";") + "\n      " + (p.bp1_color_black && "color: " + theme.BLACK + ";") + "\n\n      " + (p.bp1_color_gray500 && "color: " + theme.GRAY_500 + ";") + "\n      " + (p.bp1_color_gray600 && "color: " + theme.GRAY_600 + ";") + "\n      " + (p.bp1_color_gray900 && "color: " + theme.GRAY_900 + ";") + "\n\n      " + (p.bp1_color_blue500 && "color: " + theme.BLUE_500 + ";") + "\n    }\n  ", colorPropsKeys.some(function (prop) {
    return p["bp2_" + prop];
  }) && "\n    @media (min-width: " + theme.BREAKPOINT_200 + ") {\n      " + (p.bp2_color_white && "color: " + theme.WHITE + ";") + "\n      " + (p.bp2_color_black && "color: " + theme.BLACK + ";") + "\n\n      " + (p.bp2_color_gray500 && "color: " + theme.GRAY_500 + ";") + "\n      " + (p.bp2_color_gray600 && "color: " + theme.GRAY_600 + ";") + "\n      " + (p.bp2_color_gray900 && "color: " + theme.GRAY_900 + ";") + "\n\n      " + (p.bp2_color_blue500 && "color: " + theme.BLUE_500 + ";") + "\n    }\n  ", colorPropsKeys.some(function (prop) {
    return p["bp3_" + prop];
  }) && "\n    @media (min-width: " + theme.BREAKPOINT_300 + ") {\n      " + (p.bp3_color_white && "color: " + theme.WHITE + ";") + "\n      " + (p.bp3_color_black && "color: " + theme.BLACK + ";") + "\n\n      " + (p.bp3_color_gray500 && "color: " + theme.GRAY_500 + ";") + "\n      " + (p.bp3_color_gray600 && "color: " + theme.GRAY_600 + ";") + "\n      " + (p.bp3_color_gray900 && "color: " + theme.GRAY_900 + ";") + "\n\n      " + (p.bp3_color_blue500 && "color: " + theme.BLUE_500 + ";") + "\n    }\n  ", colorPropsKeys.some(function (prop) {
    return p["bp4_" + prop];
  }) && "\n    @media (min-width: " + theme.BREAKPOINT_400 + ") {\n      " + (p.bp4_color_white && "color: " + theme.WHITE + ";") + "\n      " + (p.bp4_color_black && "color: " + theme.BLACK + ";") + "\n\n      " + (p.bp4_color_gray500 && "color: " + theme.GRAY_500 + ";") + "\n      " + (p.bp4_color_gray600 && "color: " + theme.GRAY_600 + ";") + "\n      " + (p.bp4_color_gray900 && "color: " + theme.GRAY_900 + ";") + "\n\n      " + (p.bp4_color_blue500 && "color: " + theme.BLUE_500 + ";") + "\n    }\n  ");
};

exports.default = Color;
module.exports = exports["default"];