'use strict';

exports.__esModule = true;

var _styledComponents = require('styled-components');

var _theme = require('./../theme/');

var theme = _interopRequireWildcard(_theme);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var overflowPropsKeys = ['overflow_visible', 'overflow_hidden', 'overflow_scroll', 'overflow_auto', 'ox_visible', 'ox_hidden', 'ox_scroll', 'ox_auto', 'oy_visible', 'oy_hidden', 'oy_scroll', 'ox_auto'];
var Overflow = function Overflow(p) {
  return (0, _styledComponents.css)(['', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ''], p.overflow_visible && ' overflow: visible; ', p.overflow_hidden && ' overflow: hidden; ', p.overflow_scroll && ' overflow: scroll; ', p.overflow_auto && ' overflow: auto; ', p.ox_visible && ' overflow-x: visible; ', p.ox_hidden && ' overflow-x: hidden; ', p.ox_scroll && ' overflow-x: scroll; ', p.ox_auto && ' overflow-x: auto; ', p.oy_visible && ' overflow-x: visible; ', p.oy_hidden && ' overflow-y: hidden; ', p.oy_scroll && ' overflow-y: scroll; ', p.oy_auto && ' overflow-y: auto; ', overflowPropsKeys.some(function (prop) {
    return p['bp1_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_100, p.bp1_overflow_visible && ' overflow: visible; ', p.bp1_overflow_hidden && ' overflow: hidden; ', p.bp1_overflow_scroll && ' overflow: scroll; ', p.bp1_overflow_auto && ' overflow: auto; ', p.bp1_ox_visible && ' overflow-x: visible; ', p.bp1_ox_hidden && ' overflow-x: hidden; ', p.bp1_ox_scroll && ' overflow-x: scroll; ', p.bp1_ox_auto && ' overflow-x: auto; ', p.bp1_oy_visible && ' overflow-x: visible; ', p.bp1_oy_hidden && ' overflow-y: hidden; ', p.bp1_oy_scroll && ' overflow-y: scroll; ', p.bp1_oy_auto && ' overflow-y: auto; '), overflowPropsKeys.some(function (prop) {
    return p['bp2_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_200, p.bp2_overflow_visible && ' overflow: visible; ', p.bp2_overflow_hidden && ' overflow: hidden; ', p.bp2_overflow_scroll && ' overflow: scroll; ', p.bp2_overflow_auto && ' overflow: auto; ', p.bp2_ox_visible && ' overflow-x: visible; ', p.bp2_ox_hidden && ' overflow-x: hidden; ', p.bp2_ox_scroll && ' overflow-x: scroll; ', p.bp2_ox_auto && ' overflow-x: auto; ', p.bp2_oy_visible && ' overflow-x: visible; ', p.bp2_oy_hidden && ' overflow-y: hidden; ', p.bp2_oy_scroll && ' overflow-y: scroll; ', p.bp2_oy_auto && ' overflow-y: auto; '), overflowPropsKeys.some(function (prop) {
    return p['bp3_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_300, p.bp3_overflow_visible && ' overflow: visible; ', p.bp3_overflow_hidden && ' overflow: hidden; ', p.bp3_overflow_scroll && ' overflow: scroll; ', p.bp3_overflow_auto && ' overflow: auto; ', p.bp3_ox_visible && ' overflow-x: visible; ', p.bp3_ox_hidden && ' overflow-x: hidden; ', p.bp3_ox_scroll && ' overflow-x: scroll; ', p.bp3_ox_auto && ' overflow-x: auto; ', p.bp3_oy_visible && ' overflow-x: visible; ', p.bp3_oy_hidden && ' overflow-y: hidden; ', p.bp3_oy_scroll && ' overflow-y: scroll; ', p.bp3_oy_auto && ' overflow-y: auto; '), overflowPropsKeys.some(function (prop) {
    return p['bp4_' + prop];
  }) && (0, _styledComponents.css)(['@media (min-width:', '){', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '}'], theme.BREAKPOINT_400, p.bp4_overflow_visible && ' overflow: visible; ', p.bp4_overflow_hidden && ' overflow: hidden; ', p.bp4_overflow_scroll && ' overflow: scroll; ', p.bp4_overflow_auto && ' overflow: auto; ', p.bp4_ox_visible && ' overflow-x: visible; ', p.bp4_ox_hidden && ' overflow-x: hidden; ', p.bp4_ox_scroll && ' overflow-x: scroll; ', p.bp4_ox_auto && ' overflow-x: auto; ', p.bp4_oy_visible && ' overflow-x: visible; ', p.bp4_oy_hidden && ' overflow-y: hidden; ', p.bp4_oy_scroll && ' overflow-y: scroll; ', p.bp4_oy_auto && ' overflow-y: auto; '));
};

exports.default = Overflow;
module.exports = exports['default'];